!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-02 00:09             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 112

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1088)
  integer, parameter :: nGC_68 = 1
  integer, parameter :: nGC_3139 = 2
  integer, parameter :: nGC_3138 = 3
  integer, parameter :: nGC_3137 = 4
  integer, parameter :: nGC_3136 = 5
  integer, parameter :: nGC_32 = 6
  integer, parameter :: nGC_3189 = 7
  integer, parameter :: nGC_3606 = 8
  integer, parameter :: nGC_MZ_GF = 9
  integer, parameter :: nGC_3135 = 10
  integer, parameter :: nGC_28 = 11
  integer, parameter :: nGC_29 = 12
  integer, parameter :: nGC_22 = 13
  integer, parameter :: nGC_23 = 14
  integer, parameter :: nGC_20 = 15
  integer, parameter :: nGC_21 = 16
  integer, parameter :: nGC_26 = 17
  integer, parameter :: nGC_27 = 18
  integer, parameter :: nGC_24 = 19
  integer, parameter :: nGC_25 = 20
  integer, parameter :: nGC_3181 = 21
  integer, parameter :: nGC_81 = 22
  integer, parameter :: nGC_GG = 23
  integer, parameter :: nGC_3537 = 24
  integer, parameter :: nGC_3618 = 25
  integer, parameter :: nGC_3619 = 26
  integer, parameter :: nGC_3612 = 27
  integer, parameter :: nGC_3613 = 28
  integer, parameter :: nGC_3610 = 29
  integer, parameter :: nGC_3611 = 30
  integer, parameter :: nGC_3616 = 31
  integer, parameter :: nGC_3617 = 32
  integer, parameter :: nGC_3614 = 33
  integer, parameter :: nGC_3615 = 34
  integer, parameter :: nGC_80 = 35
  integer, parameter :: nGC_3174 = 36
  integer, parameter :: nGC_MMW_GF = 37
  integer, parameter :: nGC_5713 = 38
  integer, parameter :: nGC_5715 = 39
  integer, parameter :: nGC_3182 = 40
  integer, parameter :: nGC_3183 = 41
  integer, parameter :: nGC_3186 = 42
  integer, parameter :: nGC_3187 = 43
  integer, parameter :: nGC_3184 = 44
  integer, parameter :: nGC_3185 = 45
  integer, parameter :: nGC_86 = 46
  integer, parameter :: nGC_3164 = 47
  integer, parameter :: nGC_3165 = 48
  integer, parameter :: nGC_3166 = 49
  integer, parameter :: nGC_3167 = 50
  integer, parameter :: nGC_3160 = 51
  integer, parameter :: nGC_3161 = 52
  integer, parameter :: nGC_3162 = 53
  integer, parameter :: nGC_3163 = 54
  integer, parameter :: nGC_I = 55
  integer, parameter :: nGC_3168 = 56
  integer, parameter :: nGC_5300 = 57
  integer, parameter :: nGC_3169 = 58
  integer, parameter :: nGC_3 = 59
  integer, parameter :: nGC_1 = 60
  integer, parameter :: nGC_5 = 61
  integer, parameter :: nGC_4 = 62
  integer, parameter :: nGC_9 = 63
  integer, parameter :: nGC_8 = 64
  integer, parameter :: nGC_560 = 65
  integer, parameter :: nGC_3100 = 66
  integer, parameter :: nGC_53 = 67
  integer, parameter :: nGC_52 = 68
  integer, parameter :: nGC_51 = 69
  integer, parameter :: nGC_50 = 70
  integer, parameter :: nGC_57 = 71
  integer, parameter :: nGC_56 = 72
  integer, parameter :: nGC_55 = 73
  integer, parameter :: nGC_54 = 74
  integer, parameter :: nGC_59 = 75
  integer, parameter :: nGC_58 = 76
  integer, parameter :: nGC_3131 = 77
  integer, parameter :: nGC_3130 = 78
  integer, parameter :: nGC_3104 = 79
  integer, parameter :: nGC_MI = 80
  integer, parameter :: nGC_MC = 81
  integer, parameter :: nGC_3134 = 82
  integer, parameter :: nGC_3623 = 83
  integer, parameter :: nGC_3622 = 84
  integer, parameter :: nGC_3621 = 85
  integer, parameter :: nGC_3541 = 86
  integer, parameter :: nGC_MD = 87
  integer, parameter :: nGC_3535 = 88
  integer, parameter :: nGC_5690 = 89
  integer, parameter :: nGC_4955 = 90
  integer, parameter :: nGC_7872 = 91
  integer, parameter :: nGC_3129 = 92
  integer, parameter :: nGC_3539 = 93
  integer, parameter :: nGC_3536 = 94
  integer, parameter :: nGC_8369 = 95
  integer, parameter :: nGC_8368 = 96
  integer, parameter :: nGC_3533 = 97
  integer, parameter :: nGC_3532 = 98
  integer, parameter :: nGC_3531 = 99
  integer, parameter :: nGC_3127 = 100
  integer, parameter :: nGC_3178 = 101
  integer, parameter :: nGC_178 = 102
  integer, parameter :: nGC_MW = 103
  integer, parameter :: nGC_5014 = 104
  integer, parameter :: nGC_5013 = 105
  integer, parameter :: nGC_3569 = 106
  integer, parameter :: nGC_MT = 107
  integer, parameter :: nGC_6862 = 108
  integer, parameter :: nGC_3180 = 109
  integer, parameter :: nGC_17 = 110
  integer, parameter :: nGC_16 = 111
  integer, parameter :: nGC_15 = 112
  integer, parameter :: nGC_14 = 113
  integer, parameter :: nGC_13 = 114
  integer, parameter :: nGC_12 = 115
  integer, parameter :: nGC_11 = 116
  integer, parameter :: nGC_10 = 117
  integer, parameter :: nGC_19 = 118
  integer, parameter :: nGC_18 = 119
  integer, parameter :: nGC_MW_GF = 120
  integer, parameter :: nGC_3194 = 121
  integer, parameter :: nGC_3560 = 122
  integer, parameter :: nGC_3199 = 123
  integer, parameter :: nGC_3379 = 124
  integer, parameter :: nGC_3428 = 125
  integer, parameter :: nGC_2 = 126
  integer, parameter :: nGC_7 = 127
  integer, parameter :: nGC_3197 = 128
  integer, parameter :: nGC_4903 = 129
  integer, parameter :: nGC_4941 = 130
  integer, parameter :: nGC_4940 = 131
  integer, parameter :: nGC_3573 = 132
  integer, parameter :: nGC_3572 = 133
  integer, parameter :: nGC_3571 = 134
  integer, parameter :: nGC_3577 = 135
  integer, parameter :: nGC_3574 = 136
  integer, parameter :: nGC_3476 = 137
  integer, parameter :: nGC_3475 = 138
  integer, parameter :: nGC_MH = 139
  integer, parameter :: nGC_5113 = 140
  integer, parameter :: nGC_5112 = 141
  integer, parameter :: nGC_5111 = 142
  integer, parameter :: nGC_6 = 143
  integer, parameter :: nGC_5117 = 144
  integer, parameter :: nGC_5116 = 145
  integer, parameter :: nGC_3271 = 146
  integer, parameter :: nGC_63 = 147
  integer, parameter :: nGC_3151 = 148
  integer, parameter :: nGC_3153 = 149
  integer, parameter :: nGC_3152 = 150
  integer, parameter :: nGC_3155 = 151
  integer, parameter :: nGC_3154 = 152
  integer, parameter :: nGC_3157 = 153
  integer, parameter :: nGC_3156 = 154
  integer, parameter :: nGC_5027 = 155
  integer, parameter :: nGC_3177 = 156
  integer, parameter :: nGC_226 = 157
  integer, parameter :: nGC_6386 = 158
  integer, parameter :: nGC_HHHH = 159
  integer, parameter :: nGC_5028 = 160
  integer, parameter :: nGC_3083 = 161
  integer, parameter :: nGC_3082 = 162
  integer, parameter :: nGC_3081 = 163
  integer, parameter :: nGC_3080 = 164
  integer, parameter :: nGC_3087 = 165
  integer, parameter :: nGC_3086 = 166
  integer, parameter :: nGC_3084 = 167
  integer, parameter :: nGC_3089 = 168
  integer, parameter :: nGC_3171 = 169
  integer, parameter :: nGC_3170 = 170
  integer, parameter :: nGC_5206 = 171
  integer, parameter :: nGC_5208 = 172
  integer, parameter :: nGC_9419 = 173
  integer, parameter :: nGC_3494 = 174
  integer, parameter :: nGC_3495 = 175
  integer, parameter :: nGC_3496 = 176
  integer, parameter :: nGC_3497 = 177
  integer, parameter :: nGC_5364 = 178
  integer, parameter :: nGC_5365 = 179
  integer, parameter :: nGC_5362 = 180
  integer, parameter :: nGC_3179 = 181
  integer, parameter :: nGC_7875 = 182
  integer, parameter :: nGC_MB = 183
  integer, parameter :: nGC_48 = 184
  integer, parameter :: nGC_49 = 185
  integer, parameter :: nGC_44 = 186
  integer, parameter :: nGC_45 = 187
  integer, parameter :: nGC_46 = 188
  integer, parameter :: nGC_47 = 189
  integer, parameter :: nGC_40 = 190
  integer, parameter :: nGC_41 = 191
  integer, parameter :: nGC_42 = 192
  integer, parameter :: nGC_43 = 193
  integer, parameter :: nGC_4985 = 194
  integer, parameter :: nGC_5298 = 195
  integer, parameter :: nGC_4863 = 196
  integer, parameter :: nGC_4864 = 197
  integer, parameter :: nGC_3209 = 198
  integer, parameter :: nGC_MM = 199
  integer, parameter :: nGC_6861 = 200
  integer, parameter :: nGC_3201 = 201
  integer, parameter :: nGC_3200 = 202
  integer, parameter :: nGC_3203 = 203
  integer, parameter :: nGC_3202 = 204
  integer, parameter :: nGC_3205 = 205
  integer, parameter :: nGC_3441 = 206
  integer, parameter :: nGC_3207 = 207
  integer, parameter :: nGC_3206 = 208
  integer, parameter :: nGC_3146 = 209
  integer, parameter :: nGC_3440 = 210
  integer, parameter :: nGC_3090 = 211
  integer, parameter :: nGC_3447 = 212
  integer, parameter :: nGC_3446 = 213
  integer, parameter :: nGC_6031 = 214
  integer, parameter :: nGC_6032 = 215
  integer, parameter :: nGC_3115 = 216
  integer, parameter :: nGC_3114 = 217
  integer, parameter :: nGC_3117 = 218
  integer, parameter :: nGC_3116 = 219
  integer, parameter :: nGC_3111 = 220
  integer, parameter :: nGC_3110 = 221
  integer, parameter :: nGC_3113 = 222
  integer, parameter :: nGC_3112 = 223
  integer, parameter :: nGC_6868 = 224
  integer, parameter :: nGC_3119 = 225
  integer, parameter :: nGC_3118 = 226
  integer, parameter :: nGC_3208 = 227
  integer, parameter :: nGC_8370 = 228
  integer, parameter :: nGC_8371 = 229
  integer, parameter :: nGC_3528 = 230
  integer, parameter :: nGC_8375 = 231
  integer, parameter :: nGC_8376 = 232
  integer, parameter :: nGC_8377 = 233
  integer, parameter :: nGC_5063 = 234
  integer, parameter :: nGC_3159 = 235
  integer, parameter :: nGC_GPGMGPGM = 236
  integer, parameter :: nGC_8374 = 237
  integer, parameter :: nGC_3529 = 238
  integer, parameter :: nGC_83 = 239
  integer, parameter :: nGC_3570 = 240
  integer, parameter :: nGC_3297 = 241
  integer, parameter :: nGC_3069 = 242
  integer, parameter :: nGC_3068 = 243
  integer, parameter :: nGC_3591 = 244
  integer, parameter :: nGC_3590 = 245
  integer, parameter :: nGC_3593 = 246
  integer, parameter :: nGC_3595 = 247
  integer, parameter :: nGC_3594 = 248
  integer, parameter :: nGC_3597 = 249
  integer, parameter :: nGC_5605 = 250
  integer, parameter :: nGC_MZ = 251
  integer, parameter :: nGC_3542 = 252
  integer, parameter :: nGC_152 = 253
  integer, parameter :: nGC_3487 = 254
  integer, parameter :: nGC_3280 = 255
  integer, parameter :: nGC_9422 = 256
  integer, parameter :: nGC_5960 = 257
  integer, parameter :: nGC_5191 = 258
  integer, parameter :: nGC_75 = 259
  integer, parameter :: nGC_74 = 260
  integer, parameter :: nGC_77 = 261
  integer, parameter :: nGC_76 = 262
  integer, parameter :: nGC_71 = 263
  integer, parameter :: nGC_70 = 264
  integer, parameter :: nGC_73 = 265
  integer, parameter :: nGC_72 = 266
  integer, parameter :: nGC_79 = 267
  integer, parameter :: nGC_78 = 268
  integer, parameter :: nGC_5959 = 269
  integer, parameter :: nGC_HHGG = 270
  integer, parameter :: nGC_5361 = 271
  integer, parameter :: nGC_3543 = 272
  integer, parameter :: nGC_6867 = 273
  integer, parameter :: nGC_3132 = 274
  integer, parameter :: nGC_3427 = 275
  integer, parameter :: nGC_3561 = 276
  integer, parameter :: nGC_3562 = 277
  integer, parameter :: nGC_3563 = 278
  integer, parameter :: nGC_3564 = 279
  integer, parameter :: nGC_3565 = 280
  integer, parameter :: nGC_3566 = 281
  integer, parameter :: nGC_3567 = 282
  integer, parameter :: nGC_3568 = 283
  integer, parameter :: nGC_3544 = 284
  integer, parameter :: nGC_3249 = 285
  integer, parameter :: nGC_3248 = 286
  integer, parameter :: nGC_3360 = 287
  integer, parameter :: nGC_3245 = 288
  integer, parameter :: nGC_3250 = 289
  integer, parameter :: nGC_3247 = 290
  integer, parameter :: nGC_3246 = 291
  integer, parameter :: nGC_3241 = 292
  integer, parameter :: nGC_3243 = 293
  integer, parameter :: nGC_5110 = 294
  integer, parameter :: nGC_3123 = 295
  integer, parameter :: nGC_MS = 296
  integer, parameter :: nGC_3148 = 297
  integer, parameter :: nGC_3149 = 298
  integer, parameter :: nGC_3147 = 299
  integer, parameter :: nGC_3144 = 300
  integer, parameter :: nGC_3145 = 301
  integer, parameter :: nGC_3142 = 302
  integer, parameter :: nGC_3143 = 303
  integer, parameter :: nGC_3140 = 304
  integer, parameter :: nGC_88 = 305
  integer, parameter :: nGC_5031 = 306
  integer, parameter :: nGC_5032 = 307
  integer, parameter :: nGC_3091 = 308
  integer, parameter :: nGC_3092 = 309
  integer, parameter :: nGC_3093 = 310
  integer, parameter :: nGC_3094 = 311
  integer, parameter :: nGC_3095 = 312
  integer, parameter :: nGC_3096 = 313
  integer, parameter :: nGC_3097 = 314
  integer, parameter :: nGC_3098 = 315
  integer, parameter :: nGC_3099 = 316
  integer, parameter :: nGC_3346 = 317
  integer, parameter :: nGC_434 = 318
  integer, parameter :: nGC_5958 = 319
  integer, parameter :: nGC_5957 = 320
  integer, parameter :: nGC_3340 = 321
  integer, parameter :: nGC_3101 = 322
  integer, parameter :: nGC_444 = 323
  integer, parameter :: nGC_5350 = 324
  integer, parameter :: nGC_5353 = 325
  integer, parameter :: nGC_5352 = 326
  integer, parameter :: nGC_6511 = 327
  integer, parameter :: nGC_6321 = 328
  integer, parameter :: nGC_6320 = 329
  integer, parameter :: nGC_6323 = 330
  integer, parameter :: nGC_3192 = 331
  integer, parameter :: nGC_6324 = 332
  integer, parameter :: nGC_364 = 333
  integer, parameter :: nGC_3620 = 334
  integer, parameter :: nGC_610 = 335
  integer, parameter :: nGC_6851 = 336
  integer, parameter :: nGC_6512 = 337
  integer, parameter :: nGC_39 = 338
  integer, parameter :: nGC_38 = 339
  integer, parameter :: nGC_31 = 340
  integer, parameter :: nGC_30 = 341
  integer, parameter :: nGC_33 = 342
  integer, parameter :: nGC_35 = 343
  integer, parameter :: nGC_34 = 344
  integer, parameter :: nGC_37 = 345
  integer, parameter :: nGC_36 = 346
  integer, parameter :: nGC_6850 = 347
  integer, parameter :: nGC_5504 = 348
  integer, parameter :: nGC_5505 = 349
  integer, parameter :: nGC_148 = 350
  integer, parameter :: nGC_5502 = 351
  integer, parameter :: nGC_5503 = 352
  integer, parameter :: nGC_4904 = 353
  integer, parameter :: nGC_2394 = 354
  integer, parameter :: nGC_7128 = 355
  integer, parameter :: nGC_7129 = 356
  integer, parameter :: nGC_3557 = 357
  integer, parameter :: nGC_MU = 358
  integer, parameter :: nGC_3609 = 359
  integer, parameter :: nGC_3608 = 360
  integer, parameter :: nGC_3357 = 361
  integer, parameter :: nGC_3353 = 362
  integer, parameter :: nGC_3602 = 363
  integer, parameter :: nGC_3592 = 364
  integer, parameter :: nGC_3150 = 365
  integer, parameter :: nGC_GGH = 366
  integer, parameter :: nGC_3237 = 367
  integer, parameter :: nGC_3322 = 368
  integer, parameter :: nGC_3326 = 369
  integer, parameter :: nGC_3324 = 370
  integer, parameter :: nGC_3102 = 371
  integer, parameter :: nGC_3103 = 372
  integer, parameter :: nGC_3452 = 373
  integer, parameter :: nGC_3453 = 374
  integer, parameter :: nGC_3106 = 375
  integer, parameter :: nGC_3107 = 376
  integer, parameter :: nGC_3456 = 377
  integer, parameter :: nGC_3105 = 378
  integer, parameter :: nGC_3458 = 379
  integer, parameter :: nGC_3459 = 380
  integer, parameter :: nGC_3108 = 381
  integer, parameter :: nGC_3408 = 382
  integer, parameter :: nGC_ME = 383
  integer, parameter :: nGC_3519 = 384
  integer, parameter :: nGC_9844 = 385
  integer, parameter :: nGC_3158 = 386
  integer, parameter :: nGC_3511 = 387
  integer, parameter :: nGC_3510 = 388
  integer, parameter :: nGC_3512 = 389
  integer, parameter :: nGC_3514 = 390
  integer, parameter :: nGC_3517 = 391
  integer, parameter :: nGC_5173 = 392
  integer, parameter :: nGC_3388 = 393
  integer, parameter :: nGC_5076 = 394
  integer, parameter :: nGC_3212 = 395
  integer, parameter :: nGC_3198 = 396
  integer, parameter :: nGC_3210 = 397
  integer, parameter :: nGC_3211 = 398
  integer, parameter :: nGC_3195 = 399
  integer, parameter :: nGC_3412 = 400
  integer, parameter :: nGC_3196 = 401
  integer, parameter :: nGC_3191 = 402
  integer, parameter :: nGC_3190 = 403
  integer, parameter :: nGC_3193 = 404
  integer, parameter :: nGC_3219 = 405
  integer, parameter :: nGC_1066 = 406
  integer, parameter :: nGC_3109 = 407
  integer, parameter :: nGC_3176 = 408
  integer, parameter :: nGC_3175 = 409
  integer, parameter :: nGC_3173 = 410
  integer, parameter :: nGC_3172 = 411
  integer, parameter :: nGC_3078 = 412
  integer, parameter :: nGC_3079 = 413
  integer, parameter :: nGC_3076 = 414
  integer, parameter :: nGC_3077 = 415
  integer, parameter :: nGC_3074 = 416
  integer, parameter :: nGC_3075 = 417
  integer, parameter :: nGC_3072 = 418
  integer, parameter :: nGC_3073 = 419
  integer, parameter :: nGC_3070 = 420
  integer, parameter :: nGC_3071 = 421
  integer, parameter :: nGC_3128 = 422
  integer, parameter :: nGC_8463 = 423
  integer, parameter :: nGC_8464 = 424
  integer, parameter :: nGC_3588 = 425
  integer, parameter :: nGC_3589 = 426
  integer, parameter :: nGC_3586 = 427
  integer, parameter :: nGC_3587 = 428
  integer, parameter :: nGC_6388 = 429
  integer, parameter :: nGC_3582 = 430
  integer, parameter :: nGC_3583 = 431
  integer, parameter :: nGC_3580 = 432
  integer, parameter :: nGC_3581 = 433
  integer, parameter :: nGC_61 = 434
  integer, parameter :: nGC_3204 = 435
  integer, parameter :: nGC_3540 = 436
  integer, parameter :: nGC_310 = 437
  integer, parameter :: nGC_MTA = 438
  integer, parameter :: nGC_3538 = 439
  integer, parameter :: nGC_3120 = 440
  integer, parameter :: nGC_5543 = 441
  integer, parameter :: nGC_5544 = 442
  integer, parameter :: nGC_3121 = 443
  integer, parameter :: nGC_3122 = 444
  integer, parameter :: nGC_3534 = 445
  integer, parameter :: nGC_3124 = 446
  integer, parameter :: nGC_5263 = 447
  integer, parameter :: nGC_5265 = 448
  integer, parameter :: nGC_3125 = 449
  integer, parameter :: nGC_5913 = 450
  integer, parameter :: nGC_5912 = 451
  integer, parameter :: nGC_5911 = 452
  integer, parameter :: nGC_5910 = 453
  integer, parameter :: nGC_5917 = 454
  integer, parameter :: nGC_3126 = 455
  integer, parameter :: nGC_7247 = 456
  integer, parameter :: nGC_5914 = 457
  integer, parameter :: nGC_7249 = 458
  integer, parameter :: nGC_5916 = 459
  integer, parameter :: nGC_82 = 460
  integer, parameter :: nGC_3530 = 461
  integer, parameter :: nGC_84 = 462
  integer, parameter :: nGC_85 = 463
  integer, parameter :: nGC_87 = 464
  integer, parameter :: nGC_144 = 465
  integer, parameter :: nGC_5313 = 466
  integer, parameter :: nGC_3085 = 467
  integer, parameter :: nGC_5188 = 468
  integer, parameter :: nGC_5189 = 469
  integer, parameter :: nGC_66 = 470
  integer, parameter :: nGC_67 = 471
  integer, parameter :: nGC_64 = 472
  integer, parameter :: nGC_65 = 473
  integer, parameter :: nGC_62 = 474
  integer, parameter :: nGC_3508 = 475
  integer, parameter :: nGC_60 = 476
  integer, parameter :: nGC_5915 = 477
  integer, parameter :: nGC_6063 = 478
  integer, parameter :: nGC_6060 = 479
  integer, parameter :: nGC_6064 = 480
  integer, parameter :: nGC_69 = 481
  integer, parameter :: nGC_3088 = 482
  integer, parameter :: nGC_3133 = 483
  integer, parameter :: nGC_3141 = 484
  integer, parameter :: nGC_3188 = 485
  integer, parameter :: nGC_HHH = 486
  integer, parameter :: nGC_1070 = 487
  integer, parameter :: nGC_7018 = 488
  integer, parameter :: nGC_112 = 489
  integer, parameter :: nGC_3559 = 490
  integer, parameter :: nGC_3558 = 491
  integer, parameter :: nGC_3555 = 492
  integer, parameter :: nGC_3223 = 493
  integer, parameter :: nGC_3222 = 494
  integer, parameter :: nGC_3221 = 495
  integer, parameter :: nGC_3552 = 496
  integer, parameter :: nGC_5133 = 497
  integer, parameter :: nGC_5132 = 498
  integer, parameter :: nGC_3382 = 499
  integer, parameter :: nGC_3383 = 500
  integer, parameter :: nGC_3384 = 501
  integer, parameter :: nGC_3385 = 502
  integer, parameter :: nGC_3386 = 503
  integer, parameter :: nGC_3387 = 504
  integer, parameter :: nGC_3321 = 505
  integer, parameter :: nGC_5688 = 506
  integer, parameter :: nGC_5687 = 507
  integer, parameter :: nGC_3252 = 508
  integer, parameter :: nGC_3253 = 509
  integer, parameter :: nGC_3319 = 510
  integer, parameter :: nGC_3256 = 511
  integer, parameter :: nGC_3257 = 512
  integer, parameter :: nGC_3254 = 513
  integer, parameter :: nGC_3255 = 514
  integer, parameter :: nGC_3556 = 515
  integer, parameter :: nGC_3551 = 516
  integer, parameter :: nGC_3550 = 517
  integer, parameter :: nGC_6848 = 518
  integer, parameter :: nGC_6849 = 519
  integer, parameter :: nGC_2400 = 520
  integer, parameter :: nGC_3553 = 521
  integer, parameter :: nGC_3421 = 522
  integer, parameter :: nGC_3420 = 523
  integer, parameter :: nGC_3423 = 524
  integer, parameter :: nGC_3422 = 525
  integer, parameter :: nGC_3425 = 526
  integer, parameter :: nGC_3424 = 527
  integer, parameter :: nGC_6846 = 528
  integer, parameter :: nGC_6847 = 529
  integer, parameter :: nGC_5001 = 530
  integer, parameter :: nGC_5000 = 531
  integer, parameter :: nGC_5003 = 532
  integer, parameter :: nGC_5002 = 533
  integer, parameter :: nGC_3389 = 534
  integer, parameter :: nGC_6084 = 535
  integer, parameter :: nGC_6086 = 536
  integer, parameter :: nGC_6087 = 537
  integer, parameter :: nGC_6083 = 538
  integer, parameter :: nGC_6123 = 539
  integer, parameter :: nGC_6122 = 540
  integer, parameter :: nGC_382 = 541
  integer, parameter :: nGC_5344 = 542
  integer, parameter :: nGC_5343 = 543
  integer, parameter :: nGC_5349 = 544
  integer, parameter :: nGC_3356 = 545
  integer, parameter :: nGC_274 = 546
  integer, parameter :: nGC_3354 = 547
  integer, parameter :: nGC_3352 = 548
  integer, parameter :: nGC_3351 = 549
  integer, parameter :: nGC_5539 = 550
  integer, parameter :: nGC_5538 = 551
  integer, parameter :: nGC_3268 = 552
  integer, parameter :: nGC_7117 = 553
  integer, parameter :: nGC_7119 = 554
  integer, parameter :: nGC_7118 = 555
  integer, parameter :: nGC_3348 = 556
  integer, parameter :: nGC_3349 = 557
  integer, parameter :: nGC_3344 = 558
  integer, parameter :: nGC_3498 = 559
  integer, parameter :: nGC_3347 = 560
  integer, parameter :: nGC_3341 = 561
  integer, parameter :: nGC_3342 = 562
  integer, parameter :: nGC_3343 = 563
  integer, parameter :: nGC_6053 = 564
  integer, parameter :: nGC_6050 = 565
  integer, parameter :: nGC_6054 = 566
  integer, parameter :: nGC_3258 = 567
  integer, parameter :: nGC_5403 = 568
  integer, parameter :: nGC_5402 = 569
  integer, parameter :: nGC_6750 = 570
  integer, parameter :: nGC_4938 = 571
  integer, parameter :: nGC_4939 = 572
  integer, parameter :: nGC_4932 = 573
  integer, parameter :: nGC_3506 = 574
  integer, parameter :: nGC_3507 = 575
  integer, parameter :: nGC_3504 = 576
  integer, parameter :: nGC_3505 = 577
  integer, parameter :: nGC_3502 = 578
  integer, parameter :: nGC_3503 = 579
  integer, parameter :: nGC_3500 = 580
  integer, parameter :: nGC_3501 = 581
  integer, parameter :: nGC_3460 = 582
  integer, parameter :: nGC_3509 = 583
  integer, parameter :: nGC_5045 = 584
  integer, parameter :: nGC_5047 = 585
  integer, parameter :: nGC_3545 = 586
  integer, parameter :: nGC_5048 = 587
  integer, parameter :: nGC_3251 = 588
  integer, parameter :: nGC_5169 = 589
  integer, parameter :: nGC_5167 = 590
  integer, parameter :: nGC_5165 = 591
  integer, parameter :: nGC_3263 = 592
  integer, parameter :: nGC_3262 = 593
  integer, parameter :: nGC_3267 = 594
  integer, parameter :: nGC_3266 = 595
  integer, parameter :: nGC_3265 = 596
  integer, parameter :: nGC_3264 = 597
  integer, parameter :: nGC_3269 = 598
  integer, parameter :: nGC_5653 = 599
  integer, parameter :: nGC_7192 = 600
  integer, parameter :: nGC_8853 = 601
  integer, parameter :: nGC_8854 = 602
  integer, parameter :: nGC_5301 = 603
  integer, parameter :: nGC_3328 = 604
  integer, parameter :: nGC_3554 = 605
  integer, parameter :: nGC_5273 = 606
  integer, parameter :: nGC_3323 = 607
  integer, parameter :: nGC_5571 = 608
  integer, parameter :: nGC_4888 = 609
  integer, parameter :: nGC_4889 = 610
  integer, parameter :: nGC_3486 = 611
  integer, parameter :: nGC_3485 = 612
  integer, parameter :: nGC_3484 = 613
  integer, parameter :: nGC_3483 = 614
  integer, parameter :: nGC_6531 = 615
  integer, parameter :: nGC_6532 = 616
  integer, parameter :: nGC_3480 = 617
  integer, parameter :: nGC_3489 = 618
  integer, parameter :: nGC_3488 = 619
  integer, parameter :: nGC_7253 = 620
  integer, parameter :: nGC_4978 = 621
  integer, parameter :: nGC_3548 = 622
  integer, parameter :: nGC_3549 = 623
  integer, parameter :: nGC_3238 = 624
  integer, parameter :: nGC_3626 = 625
  integer, parameter :: nGC_3625 = 626
  integer, parameter :: nGC_3624 = 627
  integer, parameter :: nGC_3234 = 628
  integer, parameter :: nGC_3235 = 629
  integer, parameter :: nGC_3236 = 630
  integer, parameter :: nGC_3546 = 631
  integer, parameter :: nGC_3231 = 632
  integer, parameter :: nGC_3232 = 633
  integer, parameter :: nGC_3233 = 634
  integer, parameter :: nGC_5122 = 635
  integer, parameter :: nGC_5083 = 636
  integer, parameter :: nGC_5085 = 637
  integer, parameter :: nGC_5084 = 638
  integer, parameter :: nGC_3518 = 639
  integer, parameter :: nGC_5691 = 640
  integer, parameter :: nGC_4907 = 641
  integer, parameter :: nGC_4906 = 642
  integer, parameter :: nGC_4905 = 643
  integer, parameter :: nGC_9925 = 644
  integer, parameter :: nGC_4902 = 645
  integer, parameter :: nGC_9921 = 646
  integer, parameter :: nGC_2398 = 647
  integer, parameter :: nGC_3309 = 648
  integer, parameter :: nGC_5455 = 649
  integer, parameter :: nGC_5452 = 650
  integer, parameter :: nGC_5453 = 651
  integer, parameter :: nGC_10089 = 652
  integer, parameter :: nGC_3436 = 653
  integer, parameter :: nGC_3437 = 654
  integer, parameter :: nGC_3434 = 655
  integer, parameter :: nGC_3435 = 656
  integer, parameter :: nGC_3432 = 657
  integer, parameter :: nGC_3430 = 658
  integer, parameter :: nGC_3431 = 659
  integer, parameter :: nGC_7873 = 660
  integer, parameter :: nGC_7876 = 661
  integer, parameter :: nGC_3438 = 662
  integer, parameter :: nGC_3439 = 663
  integer, parameter :: nGC_3281 = 664
  integer, parameter :: nGC_3283 = 665
  integer, parameter :: nGC_3282 = 666
  integer, parameter :: nGC_3285 = 667
  integer, parameter :: nGC_3284 = 668
  integer, parameter :: nGC_3286 = 669
  integer, parameter :: nGC_3289 = 670
  integer, parameter :: nGC_3288 = 671
  integer, parameter :: nGC_5012 = 672
  integer, parameter :: nGC_5621 = 673
  integer, parameter :: nGC_5623 = 674
  integer, parameter :: nGC_5622 = 675
  integer, parameter :: nGC_5624 = 676
  integer, parameter :: nGC_5972 = 677
  integer, parameter :: nGC_5333 = 678
  integer, parameter :: nGC_5332 = 679
  integer, parameter :: nGC_5330 = 680
  integer, parameter :: nGC_5336 = 681
  integer, parameter :: nGC_5335 = 682
  integer, parameter :: nGC_5334 = 683
  integer, parameter :: nGC_5232 = 684
  integer, parameter :: nGC_5233 = 685
  integer, parameter :: nGC_5231 = 686
  integer, parameter :: nGC_7034 = 687
  integer, parameter :: nGC_5234 = 688
  integer, parameter :: nGC_4887 = 689
  integer, parameter :: nGC_6572 = 690
  integer, parameter :: nGC_6573 = 691
  integer, parameter :: nGC_6574 = 692
  integer, parameter :: nGC_6575 = 693
  integer, parameter :: nGC_266 = 694
  integer, parameter :: nGC_192 = 695
  integer, parameter :: nGC_5249 = 696
  integer, parameter :: nGC_5248 = 697
  integer, parameter :: nGC_3429 = 698
  integer, parameter :: nGC_5876 = 699
  integer, parameter :: nGC_3378 = 700
  integer, parameter :: nGC_3371 = 701
  integer, parameter :: nGC_3370 = 702
  integer, parameter :: nGC_3373 = 703
  integer, parameter :: nGC_3372 = 704
  integer, parameter :: nGC_3375 = 705
  integer, parameter :: nGC_3374 = 706
  integer, parameter :: nGC_3377 = 707
  integer, parameter :: nGC_3376 = 708
  integer, parameter :: nGC_6047 = 709
  integer, parameter :: nGC_6048 = 710
  integer, parameter :: nGC_6049 = 711
  integer, parameter :: nGC_3482 = 712
  integer, parameter :: nGC_5799 = 713
  integer, parameter :: nGC_5416 = 714
  integer, parameter :: nGC_3481 = 715
  integer, parameter :: nGC_5415 = 716
  integer, parameter :: nGC_5418 = 717
  integer, parameter :: nGC_5419 = 718
  integer, parameter :: nGC_3478 = 719
  integer, parameter :: nGC_3479 = 720
  integer, parameter :: nGC_3576 = 721
  integer, parameter :: nGC_3575 = 722
  integer, parameter :: nGC_3472 = 723
  integer, parameter :: nGC_3473 = 724
  integer, parameter :: nGC_3579 = 725
  integer, parameter :: nGC_3578 = 726
  integer, parameter :: nGC_3477 = 727
  integer, parameter :: nGC_3474 = 728
  integer, parameter :: nGC_5052 = 729
  integer, parameter :: nGC_5050 = 730
  integer, parameter :: nGC_5119 = 731
  integer, parameter :: nGC_5118 = 732
  integer, parameter :: nGC_3270 = 733
  integer, parameter :: nGC_3272 = 734
  integer, parameter :: nGC_3273 = 735
  integer, parameter :: nGC_3274 = 736
  integer, parameter :: nGC_3277 = 737
  integer, parameter :: nGC_5706 = 738
  integer, parameter :: nGC_5705 = 739
  integer, parameter :: nGC_6434 = 740
  integer, parameter :: nGC_3409 = 741
  integer, parameter :: nGC_3407 = 742
  integer, parameter :: nGC_3406 = 743
  integer, parameter :: nGC_3405 = 744
  integer, parameter :: nGC_3404 = 745
  integer, parameter :: nGC_3403 = 746
  integer, parameter :: nGC_3402 = 747
  integer, parameter :: nGC_3401 = 748
  integer, parameter :: nGC_3400 = 749
  integer, parameter :: nGC_5026 = 750
  integer, parameter :: nGC_5023 = 751
  integer, parameter :: nGC_6389 = 752
  integer, parameter :: nGC_5020 = 753
  integer, parameter :: nGC_6387 = 754
  integer, parameter :: nGC_6147 = 755
  integer, parameter :: nGC_7251 = 756
  integer, parameter :: nGC_5569 = 757
  integer, parameter :: nGC_5567 = 758
  integer, parameter :: nGC_5565 = 759
  integer, parameter :: nGC_3490 = 760
  integer, parameter :: nGC_3491 = 761
  integer, parameter :: nGC_3492 = 762
  integer, parameter :: nGC_3493 = 763
  integer, parameter :: nGC_3499 = 764
  integer, parameter :: nGC_5935 = 765
  integer, parameter :: nGC_5936 = 766
  integer, parameter :: nGC_5417 = 767
  integer, parameter :: nGC_4984 = 768
  integer, parameter :: nGC_4982 = 769
  integer, parameter :: nGC_4980 = 770
  integer, parameter :: nGC_3333 = 771
  integer, parameter :: nGC_7130 = 772
  integer, parameter :: nGC_4862 = 773
  integer, parameter :: nGC_4865 = 774
  integer, parameter :: nGC_3442 = 775
  integer, parameter :: nGC_3469 = 776
  integer, parameter :: nGC_6853 = 777
  integer, parameter :: nGC_6852 = 778
  integer, parameter :: nGC_6864 = 779
  integer, parameter :: nGC_4914 = 780
  integer, parameter :: nGC_4915 = 781
  integer, parameter :: nGC_3339 = 782
  integer, parameter :: nGC_3338 = 783
  integer, parameter :: nGC_3335 = 784
  integer, parameter :: nGC_3334 = 785
  integer, parameter :: nGC_3337 = 786
  integer, parameter :: nGC_3336 = 787
  integer, parameter :: nGC_3331 = 788
  integer, parameter :: nGC_4919 = 789
  integer, parameter :: nGC_3332 = 790
  integer, parameter :: nGC_3443 = 791
  integer, parameter :: nGC_6863 = 792
  integer, parameter :: nGC_6869 = 793
  integer, parameter :: nGC_3445 = 794
  integer, parameter :: nGC_3444 = 795
  integer, parameter :: nGC_3449 = 796
  integer, parameter :: nGC_3448 = 797
  integer, parameter :: nGC_3298 = 798
  integer, parameter :: nGC_3299 = 799
  integer, parameter :: nGC_3524 = 800
  integer, parameter :: nGC_3525 = 801
  integer, parameter :: nGC_3526 = 802
  integer, parameter :: nGC_3527 = 803
  integer, parameter :: nGC_3292 = 804
  integer, parameter :: nGC_3521 = 805
  integer, parameter :: nGC_3522 = 806
  integer, parameter :: nGC_3523 = 807
  integer, parameter :: nGC_3426 = 808
  integer, parameter :: nGC_5065 = 809
  integer, parameter :: nGC_5064 = 810
  integer, parameter :: nGC_5632 = 811
  integer, parameter :: nGC_5633 = 812
  integer, parameter :: nGC_3296 = 813
  integer, parameter :: nGC_3242 = 814
  integer, parameter :: nGC_3294 = 815
  integer, parameter :: nGC_3295 = 816
  integer, parameter :: nGC_3596 = 817
  integer, parameter :: nGC_3599 = 818
  integer, parameter :: nGC_3520 = 819
  integer, parameter :: nGC_3293 = 820
  integer, parameter :: nGC_3290 = 821
  integer, parameter :: nGC_3291 = 822
  integer, parameter :: nGC_3470 = 823
  integer, parameter :: nGC_3471 = 824
  integer, parameter :: nGC_5990 = 825
  integer, parameter :: nGC_5494 = 826
  integer, parameter :: nGC_5495 = 827
  integer, parameter :: nGC_5250 = 828
  integer, parameter :: nGC_5251 = 829
  integer, parameter :: nGC_5252 = 830
  integer, parameter :: nGC_5848 = 831
  integer, parameter :: nGC_5192 = 832
  integer, parameter :: nGC_5190 = 833
  integer, parameter :: nGC_5198 = 834
  integer, parameter :: nGC_5149 = 835
  integer, parameter :: nGC_3239 = 836
  integer, parameter :: nGC_10560 = 837
  integer, parameter :: nGC_3227 = 838
  integer, parameter :: nGC_4950 = 839
  integer, parameter :: nGC_10206 = 840
  integer, parameter :: nGC_4956 = 841
  integer, parameter :: nGC_4957 = 842
  integer, parameter :: nGC_3230 = 843
  integer, parameter :: nGC_3547 = 844
  integer, parameter :: nGC_3399 = 845
  integer, parameter :: nGC_3398 = 846
  integer, parameter :: nGC_3393 = 847
  integer, parameter :: nGC_3392 = 848
  integer, parameter :: nGC_3391 = 849
  integer, parameter :: nGC_3390 = 850
  integer, parameter :: nGC_3397 = 851
  integer, parameter :: nGC_3396 = 852
  integer, parameter :: nGC_3395 = 853
  integer, parameter :: nGC_3394 = 854
  integer, parameter :: nGC_3366 = 855
  integer, parameter :: nGC_3367 = 856
  integer, parameter :: nGC_3364 = 857
  integer, parameter :: nGC_3365 = 858
  integer, parameter :: nGC_3362 = 859
  integer, parameter :: nGC_3363 = 860
  integer, parameter :: nGC_3361 = 861
  integer, parameter :: nGC_3244 = 862
  integer, parameter :: nGC_3240 = 863
  integer, parameter :: nGC_3368 = 864
  integer, parameter :: nGC_3369 = 865
  integer, parameter :: nGC_6533 = 866
  integer, parameter :: nGC_3330 = 867
  integer, parameter :: nGC_3418 = 868
  integer, parameter :: nGC_3419 = 869
  integer, parameter :: nGC_3414 = 870
  integer, parameter :: nGC_3415 = 871
  integer, parameter :: nGC_3416 = 872
  integer, parameter :: nGC_3417 = 873
  integer, parameter :: nGC_3410 = 874
  integer, parameter :: nGC_3411 = 875
  integer, parameter :: nGC_3413 = 876
  integer, parameter :: nGC_6397 = 877
  integer, parameter :: nGC_5606 = 878
  integer, parameter :: nGC_6094 = 879
  integer, parameter :: nGC_3345 = 880
  integer, parameter :: nGC_5608 = 881
  integer, parameter :: nGC_3276 = 882
  integer, parameter :: nGC_3278 = 883
  integer, parameter :: nGC_5215 = 884
  integer, parameter :: nGC_5216 = 885
  integer, parameter :: nGC_3279 = 886
  integer, parameter :: nGC_3275 = 887
  integer, parameter :: nGC_6454 = 888
  integer, parameter :: nGC_5351 = 889
  integer, parameter :: nGC_6514 = 890
  integer, parameter :: nGC_5355 = 891
  integer, parameter :: nGC_5354 = 892
  integer, parameter :: nGC_5357 = 893
  integer, parameter :: nGC_5356 = 894
  integer, parameter :: nGC_3220 = 895
  integer, parameter :: nGC_3300 = 896
  integer, parameter :: nGC_3301 = 897
  integer, parameter :: nGC_3302 = 898
  integer, parameter :: nGC_7125 = 899
  integer, parameter :: nGC_3303 = 900
  integer, parameter :: nGC_7120 = 901
  integer, parameter :: nGC_3304 = 902
  integer, parameter :: nGC_3305 = 903
  integer, parameter :: nGC_3359 = 904
  integer, parameter :: nGC_3358 = 905
  integer, parameter :: nGC_3604 = 906
  integer, parameter :: nGC_3355 = 907
  integer, parameter :: nGC_3601 = 908
  integer, parameter :: nGC_3600 = 909
  integer, parameter :: nGC_3603 = 910
  integer, parameter :: nGC_3350 = 911
  integer, parameter :: nGC_3308 = 912
  integer, parameter :: nGC_6029 = 913
  integer, parameter :: nGC_4923 = 914
  integer, parameter :: nGC_3329 = 915
  integer, parameter :: nGC_4925 = 916
  integer, parameter :: nGC_3598 = 917
  integer, parameter :: nGC_4929 = 918
  integer, parameter :: nGC_4928 = 919
  integer, parameter :: nGC_3320 = 920
  integer, parameter :: nGC_4908 = 921
  integer, parameter :: nGC_3327 = 922
  integer, parameter :: nGC_3325 = 923
  integer, parameter :: nGC_3450 = 924
  integer, parameter :: nGC_3451 = 925
  integer, parameter :: nGC_3454 = 926
  integer, parameter :: nGC_3455 = 927
  integer, parameter :: nGC_3457 = 928
  integer, parameter :: nGC_5408 = 929
  integer, parameter :: nGC_9840 = 930
  integer, parameter :: nGC_9846 = 931
  integer, parameter :: nGC_3513 = 932
  integer, parameter :: nGC_3515 = 933
  integer, parameter :: nGC_3516 = 934
  integer, parameter :: nGC_5171 = 935
  integer, parameter :: nGC_5070 = 936
  integer, parameter :: nGC_5071 = 937
  integer, parameter :: nGC_5077 = 938
  integer, parameter :: nGC_3216 = 939
  integer, parameter :: nGC_3217 = 940
  integer, parameter :: nGC_3214 = 941
  integer, parameter :: nGC_3215 = 942
  integer, parameter :: nGC_5720 = 943
  integer, parameter :: nGC_3213 = 944
  integer, parameter :: nGC_3218 = 945
  integer, parameter :: nGC_7785 = 946
  integer, parameter :: nGC_7786 = 947
  integer, parameter :: nGC_6552 = 948
  integer, parameter :: nGC_5314 = 949
  integer, parameter :: nGC_5316 = 950
  integer, parameter :: nGC_5310 = 951
  integer, parameter :: nGC_3584 = 952
  integer, parameter :: nGC_3585 = 953
  integer, parameter :: nGC_3433 = 954
  integer, parameter :: nGC_5828 = 955
  integer, parameter :: nGC_6497 = 956
  integer, parameter :: nGC_3468 = 957
  integer, parameter :: nGC_4899 = 958
  integer, parameter :: nGC_4890 = 959
  integer, parameter :: nGC_4894 = 960
  integer, parameter :: nGC_5266 = 961
  integer, parameter :: nGC_5180 = 962
  integer, parameter :: nGC_5181 = 963
  integer, parameter :: nGC_3307 = 964
  integer, parameter :: nGC_3462 = 965
  integer, parameter :: nGC_4963 = 966
  integer, parameter :: nGC_5019 = 967
  integer, parameter :: nGC_7019 = 968
  integer, parameter :: nGC_3229 = 969
  integer, parameter :: nGC_3228 = 970
  integer, parameter :: nGC_3226 = 971
  integer, parameter :: nGC_3225 = 972
  integer, parameter :: nGC_3224 = 973
  integer, parameter :: nGC_5135 = 974
  integer, parameter :: nGC_5134 = 975
  integer, parameter :: nGC_3380 = 976
  integer, parameter :: nGC_3381 = 977
  integer, parameter :: nGC_5209 = 978
  integer, parameter :: nGC_7756 = 979
  integer, parameter :: nGC_9711 = 980
  integer, parameter :: nGC_5496 = 981
  integer, parameter :: nGC_5685 = 982
  integer, parameter :: nGC_5360 = 983
  integer, parameter :: nGC_3313 = 984
  integer, parameter :: nGC_3312 = 985
  integer, parameter :: nGC_3311 = 986
  integer, parameter :: nGC_3259 = 987
  integer, parameter :: nGC_7025 = 988
  integer, parameter :: nGC_3316 = 989
  integer, parameter :: nGC_3315 = 990
  integer, parameter :: nGC_7026 = 991
  integer, parameter :: nGC_5280 = 992
  integer, parameter :: nGC_5287 = 993
  integer, parameter :: nGC_6172 = 994
  integer, parameter :: nGC_6097 = 995
  integer, parameter :: nGC_6242 = 996
  integer, parameter :: nGC_6243 = 997
  integer, parameter :: nGC_4987 = 998
  integer, parameter :: nGC_5008 = 999
  integer, parameter :: nGC_6515 = 1000
  integer, parameter :: nGC_6513 = 1001
  integer, parameter :: nGC_4868 = 1002
  integer, parameter :: nGC_7136 = 1003
  integer, parameter :: nGC_9889 = 1004
  integer, parameter :: nGC_3306 = 1005
  integer, parameter :: nGC_4986 = 1006
  integer, parameter :: nGC_5454 = 1007
  integer, parameter :: nGC_7033 = 1008
  integer, parameter :: nGC_4909 = 1009
  integer, parameter :: nGC_6870 = 1010
  integer, parameter :: nGC_5346 = 1011
  integer, parameter :: nGC_5345 = 1012
  integer, parameter :: nGC_3287 = 1013
  integer, parameter :: nGC_4869 = 1014
  integer, parameter :: nGC_5506 = 1015
  integer, parameter :: nGC_5507 = 1016
  integer, parameter :: nGC_4910 = 1017
  integer, parameter :: nGC_5849 = 1018
  integer, parameter :: nGC_5425 = 1019
  integer, parameter :: nGC_5078 = 1020
  integer, parameter :: nGC_5079 = 1021
  integer, parameter :: nGC_5961 = 1022
  integer, parameter :: nGC_5067 = 1023
  integer, parameter :: nGC_5066 = 1024
  integer, parameter :: nGC_10558 = 1025
  integer, parameter :: nGC_8175 = 1026
  integer, parameter :: nGC_5520 = 1027
  integer, parameter :: nGC_6196 = 1028
  integer, parameter :: nGC_5405 = 1029
  integer, parameter :: nGC_5404 = 1030
  integer, parameter :: nGC_6751 = 1031
  integer, parameter :: nGC_5240 = 1032
  integer, parameter :: nGC_5872 = 1033
  integer, parameter :: nGC_3310 = 1034
  integer, parameter :: nGC_9757 = 1035
  integer, parameter :: nGC_3317 = 1036
  integer, parameter :: nGC_4935 = 1037
  integer, parameter :: nGC_7024 = 1038
  integer, parameter :: nGC_3465 = 1039
  integer, parameter :: nGC_3464 = 1040
  integer, parameter :: nGC_3467 = 1041
  integer, parameter :: nGC_3314 = 1042
  integer, parameter :: nGC_3461 = 1043
  integer, parameter :: nGC_3463 = 1044
  integer, parameter :: nGC_5288 = 1045
  integer, parameter :: nGC_6042 = 1046
  integer, parameter :: nGC_6043 = 1047
  integer, parameter :: nGC_5315 = 1048
  integer, parameter :: nGC_5991 = 1049
  integer, parameter :: nGC_9855 = 1050
  integer, parameter :: nGC_9852 = 1051
  integer, parameter :: nGC_5497 = 1052
  integer, parameter :: nGC_3318 = 1053
  integer, parameter :: nGC_3261 = 1054
  integer, parameter :: nGC_3260 = 1055
  integer, parameter :: nGC_5962 = 1056
  integer, parameter :: nGC_5716 = 1057
  integer, parameter :: nGC_4943 = 1058
  integer, parameter :: nGC_4942 = 1059
  integer, parameter :: nGC_5199 = 1060
  integer, parameter :: nGC_5053 = 1061
  integer, parameter :: nGC_5056 = 1062
  integer, parameter :: nGC_5054 = 1063
  integer, parameter :: nGC_5055 = 1064
  integer, parameter :: nGC_5264 = 1065
  integer, parameter :: nGC_4958 = 1066
  integer, parameter :: nGC_4959 = 1067
  integer, parameter :: nGC_5462 = 1068
  integer, parameter :: nGC_5708 = 1069
  integer, parameter :: nGC_5707 = 1070
  integer, parameter :: nGC_9939 = 1071
  integer, parameter :: nGC_4870 = 1072
  integer, parameter :: nGC_3466 = 1073
  integer, parameter :: nGC_5459 = 1074
  integer, parameter :: nGC_5831 = 1075
  integer, parameter :: nGC_5277 = 1076
  integer, parameter :: nGC_5607 = 1077
  integer, parameter :: nGC_6304 = 1078
  integer, parameter :: nGC_9726 = 1079
  integer, parameter :: nGC_6309 = 1080
  integer, parameter :: nGC_6308 = 1081
  integer, parameter :: nGC_5034 = 1082
  integer, parameter :: nGC_4989 = 1083
  integer, parameter :: nGC_4988 = 1084
  integer, parameter :: nGC_5033 = 1085
  integer, parameter :: nGC_5241 = 1086
  integer, parameter :: nGC_6305 = 1087
  integer, parameter :: nGC_6098 = 1088
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
