!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-02 00:09             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_3139) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3138) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3137) = -ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_3136) = -cima*ee*sw/cw**2d0
    coupl(nGC_3189) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0 &
                      )/(cw**2d0*sw**3d0)
    coupl(nGC_3606) = -cima*dMH2
    coupl(nGC_3135) = cima*ee/cw
    coupl(nGC_GG) = cima*dt/vev
    coupl(nGC_3537) = cima*dyc_QED3
    coupl(nGC_3618) = -cima*dMS_QED2
    coupl(nGC_3619) = -cima*dMS_QCD2
    coupl(nGC_3612) = -cima*dMU_QCD2
    coupl(nGC_3613) = -cima*dMC_QED2
    coupl(nGC_3610) = -cima*dMTA
    coupl(nGC_3611) = -cima*dMU_QED2
    coupl(nGC_3616) = -cima*dMD_QED2
    coupl(nGC_3617) = -cima*dMD_QCD2
    coupl(nGC_3614) = -cima*dMC_QCD2
    coupl(nGC_3615) = -cima*dMT
    coupl(nGC_5713) = coupl(nGC_23)*dZbL_QED2/2d0
    coupl(nGC_5715) = coupl(nGC_23)*dZbL_QCD2/2d0
    coupl(nGC_3164) = cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_3160) = cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3161) = -cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
    coupl(nGC_3162) = -cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3163) = -cima*ee**2d0*vev/cw
    coupl(nGC_3168) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw** &
                      2d0)
    coupl(nGC_5300) = coupl(nGC_23)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_3169) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_3100) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3131) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_3130) = cima*ee/(4d0*cMZ*sw)
    coupl(nGC_3104) = cima*cw*ee/sw
    coupl(nGC_3134) = cima*ee*sw/cw
    coupl(nGC_3623) = cima*dMW2
    coupl(nGC_3622) = cima*dMZ2
    coupl(nGC_3621) = -cima*dMB_QCD2
    coupl(nGC_3541) = cima*dyt_QED1
    coupl(nGC_3535) = cima*dyc_QED1_QCD2
    coupl(nGC_5690) = coupl(nGC_MI)*dZtR
    coupl(nGC_4955) = coupl(nGC_4)*dZAZ/2d0
    coupl(nGC_7872) = coupl(nGC_MI)*dZmuMinusL
    coupl(nGC_3129) = -cMZ*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3539) = -cima*dys_QED1
    coupl(nGC_3536) = cima*dyc_QED1
    coupl(nGC_8369) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_8368) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_3533) = cima*dyup_QED1
    coupl(nGC_3532) = cima*dyup_QED1_QCD2
    coupl(nGC_3531) = -cima*dydo_QED3
    coupl(nGC_3127) = -cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_5014) = coupl(nGC_MI)*dZnu_muR
    coupl(nGC_5013) = coupl(nGC_MI)*dZnu_muL
    coupl(nGC_3569) = coupl(nGC_3183)*dyb_QED1_QCD2
    coupl(nGC_6862) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_3180) = -cima*ee**2d0*vev/sw
    coupl(nGC_3560) = coupl(nGC_3184)*dyb_QED1_QCD2
    coupl(nGC_3379) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3428) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_23)**2d0 + coupl(nGC_53 &
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_4903) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_4941) = coupl(nGC_11)*dZuL_QCD2
    coupl(nGC_4940) = coupl(nGC_11)*dZuL_QED2
    coupl(nGC_3573) = -cima*dym_QED1
    coupl(nGC_3572) = -cima*dye_QED1
    coupl(nGC_3571) = coupl(nGC_3183)*dyb_QED3
    coupl(nGC_3577) = coupl(nGC_3199)*dym_QED1
    coupl(nGC_3574) = -cima*dytau_QED1
    coupl(nGC_3476) = -5d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0*Nc** &
                      3d0)
    coupl(nGC_3475) = 5d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(192d0*pi**2d0*Nc** &
                      2d0)
    coupl(nGC_5113) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_5112) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_5111) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_5117) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_5116) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_3271) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3151) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3153) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_3152) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
    coupl(nGC_3155) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_3154) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_3157) = -cMW*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_3156) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
    coupl(nGC_5027) = coupl(nGC_11)*dZdL_QED2
    coupl(nGC_3177) = cima*ee**2d0*vev/sw**2d0
    coupl(nGC_6386) = coupl(nGC_3560) + coupl(nGC_56)*dZbL_QCD2/2d0 + coupl(   &
                      nGC_56)*dZbR_QCD2/2d0
    coupl(nGC_HHHH) = -3d0*cima*dt/vev**3d0
    coupl(nGC_5028) = coupl(nGC_11)*dZdL_QCD2
    coupl(nGC_3082) = -ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3081) = ee**2d0/cw
    coupl(nGC_3087) = -cima*ee**2d0/sw**3d0
    coupl(nGC_3086) = cima*ee**2d0/sw**2d0
    coupl(nGC_3084) = cima*ee/(2d0*cMW)
    coupl(nGC_3089) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_3171) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_3170) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_5206) = coupl(nGC_23)*(dZcL_QED2 + dZsL_QED2)/2d0
    coupl(nGC_5208) = coupl(nGC_23)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_9419) = coupl(nGC_I)*dZH
    coupl(nGC_3494) = coupl(nGC_3083)*dlam_QED2
    coupl(nGC_3495) = coupl(nGC_3080)*dlam_QED2
    coupl(nGC_3496) = -cima*dlam_QED2
    coupl(nGC_3497) = coupl(nGC_3166)*dlam_QED2 + coupl(nGC_3167)*dvev_QEDM1
    coupl(nGC_5364) = coupl(nGC_1)*dZdR_QED2
    coupl(nGC_5365) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_5362) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_3179) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_7875) = coupl(nGC_MI)*dZmuMinusR
    coupl(nGC_4985) = coupl(nGC_2)*dZAZ/2d0
    coupl(nGC_5298) = coupl(nGC_23)*(dZdL_QED2 + dZuL_QED2)/2d0
    coupl(nGC_4863) = coupl(nGC_11)*dZbR_QCD2
    coupl(nGC_4864) = coupl(nGC_11)*dZbL_QED2
    coupl(nGC_6861) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_3441) = -5d0*cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0 &
                      /(96d0*pi**2d0*Nc)
    coupl(nGC_3146) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_3440) = 5d0*cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(&
                      96d0*pi**2d0)
    coupl(nGC_3090) = cima*ee/(2d0*sw)
    coupl(nGC_3447) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-3d0*coupl(nGC_1)**2d0 &
                       - 2d0*coupl(nGC_2)**2d0)/(48d0*pi**2d0*Nc)
    coupl(nGC_3446) = cima*coupl(nGC_11)**2d0*sq2**2d0*(3d0*coupl(nGC_1)**2d0  &
                       + 2d0*coupl(nGC_2)**2d0)/(48d0*pi**2d0)
    coupl(nGC_6031) = coupl(nGC_MI)*dZA
    coupl(nGC_6032) = -coupl(nGC_6031)
    coupl(nGC_3115) = 2d0*cima*ee**2d0/sw
    coupl(nGC_3114) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_3117) = -ee/(4d0*cMW*sw)
    coupl(nGC_3116) = cMW*ee/(2d0*sw**2d0)
    coupl(nGC_3111) = ee**2d0/sw
    coupl(nGC_3110) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3113) = 4d0*cima*cw*ee**2d0/sw
    coupl(nGC_3112) = -ee**2d0/(2d0*sw**2d0)
    coupl(nGC_6868) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_3119) = -cMW*ee/(2d0*sw**2d0)
    coupl(nGC_3118) = -cMW*ee/(2d0*sw)
    coupl(nGC_8370) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_8371) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_3528) = coupl(nGC_3134)*dZee + coupl(nGC_3135)*dsw_ + coupl(     &
                      nGC_3136)*dcw_
    coupl(nGC_8375) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_8376) = coupl(nGC_3616) + coupl(nGC_8370)
    coupl(nGC_8377) = coupl(nGC_3617) + coupl(nGC_8371)
    coupl(nGC_5063) = coupl(nGC_4)*dZmuMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_3159) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_GPGMGPGM) = -2d0*cima*dt/vev**3d0
    coupl(nGC_8374) = coupl(nGC_MI)*dZdR_QED2
    coupl(nGC_3529) = -cima*dydo_QED1_QCD2
    coupl(nGC_3570) = coupl(nGC_3183)*dyb_QED1
    coupl(nGC_3297) = coupl(nGC_11)**2d0*coupl(nGC_57)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3069) = -2d0*cima*ee/3d0
    coupl(nGC_3068) = -cima*ee
    coupl(nGC_3591) = coupl(nGC_3187)*dyc_QED1
    coupl(nGC_3590) = coupl(nGC_3187)*dyc_QED1_QCD2
    coupl(nGC_3593) = coupl(nGC_3185)*dyc_QED1_QCD2
    coupl(nGC_3595) = coupl(nGC_3185)*dyc_QED3
    coupl(nGC_3594) = coupl(nGC_3185)*dyc_QED1
    coupl(nGC_3597) = coupl(nGC_3205)*dyt_QED1
    coupl(nGC_5605) = coupl(nGC_29)*dZZA
    coupl(nGC_3542) = -cima*dyb_QED1_QCD2
    coupl(nGC_152) = 1d0/(2d0*cMZ)
    coupl(nGC_3487) = coupl(nGC_3116)*dsw_ + coupl(nGC_3117)*dMW2 + coupl(     &
                      nGC_3118)*dZee
    coupl(nGC_3280) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_81)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_9422) = coupl(nGC_3606) + coupl(nGC_MH)*dZH
    coupl(nGC_5960) = coupl(nGC_11)*dZsR_QCD2
    coupl(nGC_5191) = coupl(nGC_3570) + coupl(nGC_55)*dZH/2d0
    coupl(nGC_5959) = coupl(nGC_11)*dZsR_QED2
    coupl(nGC_HHGG) = -cima*dt/vev**3d0
    coupl(nGC_5361) = coupl(nGC_1)*dZdL_QED2
    coupl(nGC_3543) = -cima*dyb_QED1
    coupl(nGC_6867) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_3132) = -2d0*cima*ee/(3d0*cw)
    coupl(nGC_3427) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10  &
                      ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
    coupl(nGC_3561) = coupl(nGC_3184)*dyb_QED1
    coupl(nGC_3562) = coupl(nGC_3184)*dyb_QED3
    coupl(nGC_3563) = coupl(nGC_3194)*dydo_QED1_QCD2
    coupl(nGC_3564) = coupl(nGC_3194)*dydo_QED1
    coupl(nGC_3565) = coupl(nGC_3194)*dydo_QED3
    coupl(nGC_3566) = coupl(nGC_3201)*dys_QED1_QCD2
    coupl(nGC_3567) = coupl(nGC_3201)*dys_QED1
    coupl(nGC_3568) = coupl(nGC_3201)*dys_QED3
    coupl(nGC_3544) = -cima*dyb_QED3
    coupl(nGC_3249) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_3248) = cima*sq2**2d0*(-3d0*Nc*coupl(nGC_10)**2d0 + 10d0*coupl(  &
                      nGC_11)**2d0)/(192d0*pi**2d0*Nc)
    coupl(nGC_3360) = coupl(nGC_11)**2d0*coupl(nGC_63)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3245) = cima*sq2**2d0*(3d0*Nc*coupl(nGC_10)**2d0 - 10d0*coupl(   &
                      nGC_11)**2d0)/(192d0*pi**2d0)
    coupl(nGC_3250) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 - &
                      cMD**2d0 - cMS**2d0 - cMU**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_3247) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 +  &
                      cMD**2d0 + cMS**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_3246) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_3241) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3243) = cima*(coupl(nGC_23)**2d0 + coupl(nGC_4)**2d0 + coupl(    &
                      nGC_40)**2d0)/(16d0*pi**2d0)
    coupl(nGC_5110) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_3123) = -cima*ee/(4d0*cMW*sw)
    coupl(nGC_3148) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_3149) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_3147) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_3144) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_3145) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_3142) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_3143) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
    coupl(nGC_3140) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
    coupl(nGC_5031) = coupl(nGC_11)*dZdR_QED2
    coupl(nGC_5032) = coupl(nGC_11)*dZdR_QCD2
    coupl(nGC_3091) = -cima*ee/(2d0*sw**2d0)
    coupl(nGC_3092) = -cima*ee/(2d0*sw)
    coupl(nGC_3093) = cima*ee/(2d0*sw**2d0)
    coupl(nGC_3094) = ee/(2d0*sw)
    coupl(nGC_3095) = -ee/(2d0*sw**2d0)
    coupl(nGC_3096) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_3097) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_3098) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_3099) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_3346) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5958) = coupl(nGC_11)*dZsL_QCD2
    coupl(nGC_5957) = coupl(nGC_11)*dZsL_QED2
    coupl(nGC_3340) = coupl(nGC_11)**2d0*coupl(nGC_74)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3101) = -cima*cw*ee/sw
    coupl(nGC_5350) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_5353) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_5352) = coupl(nGC_1)*dZsL_QED2
    coupl(nGC_6511) = coupl(nGC_59)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_6321) = coupl(nGC_1)*dZbR_QCD2
    coupl(nGC_6320) = coupl(nGC_1)*dZbR_QED2
    coupl(nGC_6323) = coupl(nGC_1)*dZbL_QED2
    coupl(nGC_6324) = coupl(nGC_1)*dZbL_QCD2
    coupl(nGC_3620) = -cima*dMB_QED2
    coupl(nGC_6851) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_6512) = coupl(nGC_59)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_6850) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_5504) = coupl(nGC_11)*dZcL_QED2
    coupl(nGC_5505) = coupl(nGC_11)*dZcL_QCD2
    coupl(nGC_148) = -cima/(2d0*cMW)
    coupl(nGC_5502) = coupl(nGC_11)*dZcR_QED2
    coupl(nGC_5503) = coupl(nGC_11)*dZcR_QCD2
    coupl(nGC_4904) = coupl(nGC_35)*dZZA/2d0
    coupl(nGC_7128) = coupl(nGC_MI)*dZAZ/2d0
    coupl(nGC_7129) = coupl(nGC_MI)*dZZA/2d0
    coupl(nGC_3557) = coupl(nGC_3182)*dyb_QED1_QCD2
    coupl(nGC_3609) = -cima*dMM
    coupl(nGC_3608) = -cima*dME
    coupl(nGC_3357) = coupl(nGC_11)**2d0*coupl(nGC_59)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3353) = coupl(nGC_11)**2d0*coupl(nGC_55)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3602) = coupl(nGC_3186)*dyc_QED1
    coupl(nGC_3592) = coupl(nGC_3187)*dyc_QED3
    coupl(nGC_3150) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_GGH) = -cima*dt/vev**2d0
    coupl(nGC_3237) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3322) = coupl(nGC_11)**2d0*coupl(nGC_56)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3326) = coupl(nGC_11)**2d0*coupl(nGC_58)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3324) = coupl(nGC_11)**2d0*coupl(nGC_54)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3102) = cima*cw*ee/sw**2d0
    coupl(nGC_3103) = -cima*ee/sw
    coupl(nGC_3452) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_1) + 2d0*&
                      coupl(nGC_2))/(192d0*pi**2d0)
    coupl(nGC_3453) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-3d0*coupl(nGC_1) - 2d0&
                      *coupl(nGC_2))/(96d0*pi**2d0*Nc)
    coupl(nGC_3106) = cima*ee/sw
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
