!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-02 00:09             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_3107) = -ee**2d0/sw
    coupl(nGC_3456) = 3d0*cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_34   &
                      ) + 2d0*coupl(nGC_35) - 3d0*coupl(nGC_38) - 2d0*coupl(   &
                      nGC_39))/(128d0*pi**2d0)
    coupl(nGC_3105) = -cima*cw*ee/sw**2d0
    coupl(nGC_3458) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_34) + 2d0&
                      *coupl(nGC_35) + 3d0*coupl(nGC_38) + 2d0*coupl(nGC_39))/(&
                      96d0*pi**2d0*Nc**2d0)
    coupl(nGC_3459) = 3d0*cima*coupl(nGC_11)**3d0*sq2**3d0*(-3d0*coupl(nGC_34  &
                      ) - 2d0*coupl(nGC_35) + 3d0*coupl(nGC_38) + 2d0*coupl(   &
                      nGC_39))/(128d0*pi**2d0)
    coupl(nGC_3108) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3408) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_38)**2d0 + coupl(nGC_54)*coupl(nGC_56) + coupl(nGC_55&
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3519) = coupl(nGC_3069)*dZee
    coupl(nGC_9844) = coupl(nGC_3440)/5d0
    coupl(nGC_3158) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_3511) = coupl(nGC_3146)*dZee + coupl(nGC_3147)*dsw_ + coupl(     &
                      nGC_3148)*dcw_
    coupl(nGC_3510) = coupl(nGC_3137)*dZee + coupl(nGC_3138)*dsw_ + coupl(     &
                      nGC_3139)*dcw_
    coupl(nGC_3512) = coupl(nGC_3081)*dZee + coupl(nGC_3082)*dcw_
    coupl(nGC_3514) = coupl(nGC_3163)*dZee + coupl(nGC_3164)*dcw_ + coupl(     &
                      nGC_3165)*dvev_QEDM1
    coupl(nGC_3517) = coupl(nGC_3168)*dZee + coupl(nGC_3169)*dsw_ + coupl(     &
                      nGC_3170)*dcw_
    coupl(nGC_5173) = coupl(nGC_38)*dZbL_QCD2
    coupl(nGC_3388) = coupl(nGC_11)**2d0*coupl(nGC_39)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5076) = coupl(nGC_19)*dZZA/2d0 + coupl(nGC_5)*dZAZ/2d0
    coupl(nGC_3412) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10  &
                      ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
    coupl(nGC_3191) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                      )/(cw**3d0*sw**2d0)
    coupl(nGC_3190) = cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**  &
                      2d0)
    coupl(nGC_3219) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0* &
                      pi**2d0*Nc)
    coupl(nGC_3109) = -cima*ee**2d0/sw
    coupl(nGC_3176) = -cima*ee**2d0*vev/sw**3d0
    coupl(nGC_3173) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_3172) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_3076) = -cima*ee**2d0/cw
    coupl(nGC_3077) = cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3074) = -ee**2d0/cw
    coupl(nGC_3075) = ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3072) = 4d0*cima*ee**2d0
    coupl(nGC_3073) = 2d0*cima*ee**2d0
    coupl(nGC_3070) = cima*ee/3d0
    coupl(nGC_3071) = cima*ee
    coupl(nGC_3128) = cMZ*cima*ee/(2d0*sw)
    coupl(nGC_8463) = coupl(nGC_MI)*dZnu_eL
    coupl(nGC_8464) = coupl(nGC_MI)*dZnu_eR
    coupl(nGC_3588) = coupl(nGC_3212)*dyup_QED1
    coupl(nGC_3589) = coupl(nGC_3212)*dyup_QED3
    coupl(nGC_3586) = coupl(nGC_3211)*dyup_QED3
    coupl(nGC_3587) = coupl(nGC_3212)*dyup_QED1_QCD2
    coupl(nGC_6388) = coupl(nGC_3562) + coupl(nGC_56)*dZbL_QED2/2d0 + coupl(   &
                      nGC_56)*dZbR_QED2/2d0
    coupl(nGC_3582) = coupl(nGC_3200)*dym_QED1
    coupl(nGC_3583) = coupl(nGC_3207)*dytau_QED1
    coupl(nGC_3580) = coupl(nGC_3208)*dytau_QED1
    coupl(nGC_3581) = coupl(nGC_3197)*dye_QED1
    coupl(nGC_3540) = -cima*dys_QED3
    coupl(nGC_3538) = -cima*dys_QED1_QCD2
    coupl(nGC_3120) = ee/(4d0*cMW*sw)
    coupl(nGC_5543) = coupl(nGC_2)*dZcR_QED2
    coupl(nGC_5544) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_3121) = cMW*ee/(2d0*sw)
    coupl(nGC_3122) = cMW*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3534) = cima*dyup_QED3
    coupl(nGC_3124) = -cMW*cima*ee/(2d0*sw)
    coupl(nGC_5263) = coupl(nGC_3587) + coupl(nGC_88)*dZuL_QCD2/2d0 + coupl(   &
                      nGC_88)*dZuR_QCD2/2d0
    coupl(nGC_5265) = coupl(nGC_3589) + coupl(nGC_88)*dZuL_QED2/2d0 + coupl(   &
                      nGC_88)*dZuR_QED2/2d0
    coupl(nGC_3125) = cima*ee*sw/(3d0*cw)
    coupl(nGC_5913) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_5912) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_5911) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_5910) = coupl(nGC_MI)*dZbL_QED2
    coupl(nGC_5917) = coupl(nGC_3621) + coupl(nGC_5913)
    coupl(nGC_3126) = cima*ee/(3d0*cw)
    coupl(nGC_7247) = coupl(nGC_35)*dZcR_QED2
    coupl(nGC_5914) = coupl(nGC_MI)*dZbR_QED2
    coupl(nGC_7249) = coupl(nGC_35)*dZcR_QCD2
    coupl(nGC_5916) = coupl(nGC_3620) + coupl(nGC_5912)
    coupl(nGC_3530) = -cima*dydo_QED1
    coupl(nGC_144) = cima/(2d0*cMW)
    coupl(nGC_5313) = coupl(nGC_29)*dZAZ
    coupl(nGC_3085) = cMW*cima*ee
    coupl(nGC_5188) = coupl(nGC_55)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_5189) = coupl(nGC_55)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_3508) = coupl(nGC_3176)*dsw_ + coupl(nGC_3177)*dZee + coupl(     &
                      nGC_3178)*dvev_QEDM1
    coupl(nGC_5915) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_6063) = coupl(nGC_3582) + coupl(nGC_71)*dZH/2d0
    coupl(nGC_6060) = coupl(nGC_71)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_6064) = coupl(nGC_6060) + coupl(nGC_6063)
    coupl(nGC_3088) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_3133) = 2d0*cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_3141) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_HHH) = -3d0*cima*dt/vev**2d0
    coupl(nGC_7018) = coupl(nGC_87)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_3559) = coupl(nGC_3182)*dyb_QED3
    coupl(nGC_3558) = coupl(nGC_3182)*dyb_QED1
    coupl(nGC_3555) = coupl(nGC_3203)*dys_QED1
    coupl(nGC_3223) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_3222) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3221) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3552) = coupl(nGC_3202)*dys_QED1
    coupl(nGC_5133) = coupl(nGC_4)*dZtauMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_5132) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZtauMinusR
    coupl(nGC_3382) = coupl(nGC_23)*(-coupl(nGC_25)*coupl(nGC_40) - coupl(nGC_3&
                      )*coupl(nGC_4) - coupl(nGC_364)*coupl(nGC_41) + coupl(   &
                      nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
    coupl(nGC_3383) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_364) + 4d0*coupl(nGC_23)**2d0*coupl(    &
                      nGC_39) + coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_56) +    &
                      coupl(nGC_34)*coupl(nGC_55)**2d0 + coupl(nGC_35)*coupl(  &
                      nGC_77)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3384) = coupl(nGC_11)**2d0*coupl(nGC_38)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3385) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_56) +     &
                      coupl(nGC_38)*coupl(nGC_55)**2d0 + coupl(nGC_39)*coupl(  &
                      nGC_53)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3386) = coupl(nGC_11)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3387) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_73)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_35)*coupl(     &
                      nGC_59)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3321) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_56) - coupl(nGC_1066)*  &
                      coupl(nGC_34)*coupl(nGC_55) - coupl(nGC_22)*coupl(nGC_23 &
                      )*coupl(nGC_53) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_56) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_55) -    &
                      coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_80) - coupl(nGC_54 &
                      )*coupl(nGC_55)**2d0 - coupl(nGC_54)*coupl(nGC_56)**2d0  &
                      )/(32d0*pi**2d0)
    coupl(nGC_5688) = coupl(nGC_MT)*(dZtL + dZtR)/2d0
    coupl(nGC_5687) = coupl(nGC_MI)*dZtL
    coupl(nGC_3252) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_41)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_3253) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3319) = (4d0*Nc*cMB*coupl(nGC_54)**2d0*coupl(nGC_55) + 16d0*Nc*  &
                      cMB*coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*  &
                      cMB*coupl(nGC_55)*coupl(nGC_56)**2d0 + 4d0*Nc*cMC*coupl( &
                      nGC_58)**2d0*coupl(nGC_59) + 16d0*Nc*cMC*coupl(nGC_58)*  &
                      coupl(nGC_59)*coupl(nGC_60) + 4d0*Nc*cMC*coupl(nGC_59)*  &
                      coupl(nGC_60)**2d0 + 4d0*Nc*cMD*coupl(nGC_62)**2d0*coupl(&
                      nGC_63) + 16d0*Nc*cMD*coupl(nGC_62)*coupl(nGC_63)*coupl( &
                      nGC_64) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_64)**2d0 +  &
                      4d0*Nc*cMS*coupl(nGC_74)**2d0*coupl(nGC_75) + 16d0*Nc*cMS&
                      *coupl(nGC_74)*coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*cMS* &
                      coupl(nGC_75)*coupl(nGC_76)**2d0 + 4d0*Nc*cMT*coupl(     &
                      nGC_78)**2d0*coupl(nGC_79) + 16d0*Nc*cMT*coupl(nGC_78)*  &
                      coupl(nGC_79)*coupl(nGC_80) + 4d0*Nc*cMT*coupl(nGC_79)*  &
                      coupl(nGC_80)**2d0 + 4d0*Nc*cMU*coupl(nGC_86)**2d0*coupl(&
                      nGC_87) + 16d0*Nc*cMU*coupl(nGC_86)*coupl(nGC_87)*coupl( &
                      nGC_88) + 4d0*Nc*cMU*coupl(nGC_87)*coupl(nGC_88)**2d0 +  &
                      4d0*cME*coupl(nGC_66)**2d0*coupl(nGC_67) + 16d0*cME*coupl&
                      (nGC_66)*coupl(nGC_67)*coupl(nGC_68) + 4d0*cME*coupl(    &
                      nGC_67)*coupl(nGC_68)**2d0 + 4d0*cMM*coupl(nGC_70)**2d0* &
                      coupl(nGC_71) + 16d0*cMM*coupl(nGC_70)*coupl(nGC_71)*    &
                      coupl(nGC_72) + 4d0*cMM*coupl(nGC_71)*coupl(nGC_72)**2d0 &
                       + 4d0*cMTA*coupl(nGC_82)**2d0*coupl(nGC_83) + 16d0*cMTA*&
                      coupl(nGC_82)*coupl(nGC_83)*coupl(nGC_84) + 4d0*cMTA*    &
                      coupl(nGC_83)*coupl(nGC_84)**2d0 + 4d0*cima*coupl(nGC_17 &
                      )*coupl(nGC_50) + 2d0*cima*coupl(nGC_46)*coupl(nGC_52) + &
                      coupl(nGC_1066)**2d0*coupl(nGC_48) + coupl(nGC_1066)*    &
                      coupl(nGC_37)*coupl(nGC_49) - coupl(nGC_1066)*coupl(     &
                      nGC_37)*coupl(nGC_52) + 2d0*coupl(nGC_22)*coupl(nGC_48)* &
                      coupl(nGC_560) - 2d0*coupl(nGC_22)*coupl(nGC_50)*coupl(  &
                      nGC_560) + coupl(nGC_37)**2d0*coupl(nGC_48))/(32d0*pi**  &
                      2d0)
    coupl(nGC_3256) = cMTA*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)** &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_3257) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3254) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3255) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3556) = coupl(nGC_3203)*dys_QED3
    coupl(nGC_3551) = coupl(nGC_3202)*dys_QED1_QCD2
    coupl(nGC_3550) = coupl(nGC_3188)*dydo_QED3
    coupl(nGC_6848) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_6849) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_3553) = coupl(nGC_3202)*dys_QED3
    coupl(nGC_3421) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_34)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_62)*coupl( &
                      nGC_64) - coupl(nGC_63)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3420) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_62)*   &
                      coupl(nGC_64) - coupl(nGC_63)**2d0 - coupl(nGC_85)**2d0  &
                      )/(64d0*pi**2d0)
    coupl(nGC_3423) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(   &
                      nGC_34)**2d0 - coupl(nGC_73)**2d0 - coupl(nGC_74)*coupl( &
                      nGC_76) - coupl(nGC_75)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3422) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(   &
                      nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_57)**  &
                      2d0 - coupl(nGC_74)*coupl(nGC_76) - coupl(nGC_75)**2d0)/(&
                      64d0*pi**2d0*Nc)
    coupl(nGC_3425) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_57)**  &
                      2d0 + coupl(nGC_74)*coupl(nGC_76) + coupl(nGC_75)**2d0)/(&
                      64d0*pi**2d0)
    coupl(nGC_3424) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10   &
                      ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_6846) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_6847) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_5001) = coupl(nGC_3590) + coupl(nGC_60)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_60)*dZcR_QCD2/2d0
    coupl(nGC_5000) = coupl(nGC_3593) + coupl(nGC_58)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_58)*dZcR_QCD2/2d0
    coupl(nGC_5003) = coupl(nGC_3592) + coupl(nGC_60)*dZcL_QED2/2d0 + coupl(   &
                      nGC_60)*dZcR_QED2/2d0
    coupl(nGC_5002) = coupl(nGC_3595) + coupl(nGC_58)*dZcL_QED2/2d0 + coupl(   &
                      nGC_58)*dZcR_QED2/2d0
    coupl(nGC_3389) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_57)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_39)*coupl(     &
                      nGC_59)**2d0)/(32d0*pi**2d0)
    coupl(nGC_6084) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_6086) = coupl(nGC_MI)*dZtauMinusR
    coupl(nGC_6087) = coupl(nGC_3610) + coupl(nGC_6084)
    coupl(nGC_6083) = coupl(nGC_MI)*dZtauMinusL
    coupl(nGC_6123) = coupl(nGC_MI)*dZnu_tauR
    coupl(nGC_6122) = coupl(nGC_MI)*dZnu_tauL
    coupl(nGC_5344) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZeMinusR
    coupl(nGC_5343) = coupl(nGC_4)*dZeMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_5349) = coupl(nGC_1)*dZsR_QED2
    coupl(nGC_3356) = (-coupl(nGC_1066)*coupl(nGC_35)*coupl(nGC_60) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_59) - coupl(nGC_21)*coupl(nGC_23)*&
                      coupl(nGC_57) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(   &
                      nGC_59) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_60) -    &
                      coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75) - coupl(nGC_59 &
                      )**3d0 - coupl(nGC_59)*coupl(nGC_60)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3354) = (-8d0*Nc*cMB*coupl(nGC_34)**2d0*coupl(nGC_55) + 8d0*Nc*  &
                      cMB*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55) - 8d0*Nc*  &
                      cMB*coupl(nGC_38)**2d0*coupl(nGC_55) - 8d0*Nc*cMC*coupl( &
                      nGC_35)**2d0*coupl(nGC_59) + 8d0*Nc*cMC*coupl(nGC_35)*   &
                      coupl(nGC_39)*coupl(nGC_59) - 8d0*Nc*cMC*coupl(nGC_39)** &
                      2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl(nGC_34)**2d0*coupl( &
                      nGC_63) + 8d0*Nc*cMD*coupl(nGC_34)*coupl(nGC_38)*coupl(  &
                      nGC_63) - 8d0*Nc*cMD*coupl(nGC_38)**2d0*coupl(nGC_63) -  &
                      8d0*Nc*cMS*coupl(nGC_34)**2d0*coupl(nGC_75) + 8d0*Nc*cMS*&
                      coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75) - 8d0*Nc*cMS*  &
                      coupl(nGC_38)**2d0*coupl(nGC_75) - 8d0*Nc*cMT*coupl(     &
                      nGC_35)**2d0*coupl(nGC_79) + 8d0*Nc*cMT*coupl(nGC_35)*   &
                      coupl(nGC_39)*coupl(nGC_79) - 8d0*Nc*cMT*coupl(nGC_39)** &
                      2d0*coupl(nGC_79) - 8d0*Nc*cMU*coupl(nGC_35)**2d0*coupl( &
                      nGC_87) + 8d0*Nc*cMU*coupl(nGC_35)*coupl(nGC_39)*coupl(  &
                      nGC_87) - 8d0*Nc*cMU*coupl(nGC_39)**2d0*coupl(nGC_87) -  &
                      8d0*cME*coupl(nGC_36)**2d0*coupl(nGC_67) + 8d0*cME*coupl(&
                      nGC_36)*coupl(nGC_40)*coupl(nGC_67) - 8d0*cME*coupl(     &
                      nGC_40)**2d0*coupl(nGC_67) - 8d0*cMM*coupl(nGC_36)**2d0* &
                      coupl(nGC_71) + 8d0*cMM*coupl(nGC_36)*coupl(nGC_40)*coupl&
                      (nGC_71) - 8d0*cMM*coupl(nGC_40)**2d0*coupl(nGC_71) - 8d0&
                      *cMTA*coupl(nGC_36)**2d0*coupl(nGC_83) + 8d0*cMTA*coupl( &
                      nGC_36)*coupl(nGC_40)*coupl(nGC_83) - 8d0*cMTA*coupl(    &
                      nGC_40)**2d0*coupl(nGC_83) + 4d0*cima*coupl(nGC_310)*    &
                      coupl(nGC_50) - coupl(nGC_1070)*coupl(nGC_25)*coupl(     &
                      nGC_47) - coupl(nGC_20)*coupl(nGC_364)*coupl(nGC_47) -   &
                      coupl(nGC_21)*coupl(nGC_25)*coupl(nGC_47) + 6d0*coupl(   &
                      nGC_25)**2d0*coupl(nGC_50) + 6d0*coupl(nGC_364)**2d0*    &
                      coupl(nGC_50) - coupl(nGC_364)*coupl(nGC_47)*coupl(      &
                      nGC_610))/(32d0*pi**2d0)
    coupl(nGC_3352) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_1066)*  &
                      coupl(nGC_34)*coupl(nGC_54) - coupl(nGC_20)*coupl(nGC_23 &
                      )*coupl(nGC_53) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_55) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_54) -    &
                      coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) - coupl(nGC_54 &
                      )**2d0*coupl(nGC_55) - coupl(nGC_55)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3351) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_1066)*  &
                      coupl(nGC_38)*coupl(nGC_56) - coupl(nGC_23)*coupl(nGC_53 &
                      )*coupl(nGC_610) - coupl(nGC_34)*coupl(nGC_37)*coupl(    &
                      nGC_56) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55   &
                      ) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) - coupl(   &
                      nGC_55)**3d0 - coupl(nGC_55)*coupl(nGC_56)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_5539) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_5538) = coupl(nGC_2)*dZcL_QED2
    coupl(nGC_3268) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_23)**2d0 - 12d0*Nc*coupl(&
                      nGC_2)*coupl(nGC_23)**2d0 + 12d0*coupl(nGC_23)**2d0*coupl&
                      (nGC_4) - 11d0*coupl(nGC_274)**2d0*coupl(nGC_3) - 11d0*  &
                      coupl(nGC_3)*coupl(nGC_364)**2d0)/(96d0*pi**2d0)
    coupl(nGC_7117) = coupl(nGC_MI)*dZeMinusL
    coupl(nGC_7119) = coupl(nGC_MI)*dZeMinusR
    coupl(nGC_7118) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_3348) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3349) = 3d0*(8d0*Nc*cMB*coupl(nGC_55)**3d0 + 8d0*Nc*cMC*coupl(   &
                      nGC_59)**3d0 + 8d0*Nc*cMD*coupl(nGC_63)**3d0 + 8d0*Nc*cMS&
                      *coupl(nGC_75)**3d0 + 8d0*Nc*cMT*coupl(nGC_79)**3d0 + 8d0&
                      *Nc*cMU*coupl(nGC_87)**3d0 + 8d0*cME*coupl(nGC_67)**3d0  &
                       + 8d0*cMM*coupl(nGC_71)**3d0 + 8d0*cMTA*coupl(nGC_83)** &
                      3d0 + 4d0*cima*coupl(nGC_17)*coupl(nGC_50) + 2d0*cima*   &
                      coupl(nGC_46)*coupl(nGC_52) + coupl(nGC_1066)*coupl(     &
                      nGC_37)*coupl(nGC_48) - coupl(nGC_1066)*coupl(nGC_37)*   &
                      coupl(nGC_52) + coupl(nGC_1070)*coupl(nGC_21)*coupl(     &
                      nGC_48) - coupl(nGC_1070)*coupl(nGC_21)*coupl(nGC_50) +  &
                      coupl(nGC_20)*coupl(nGC_48)*coupl(nGC_610) - coupl(nGC_20&
                      )*coupl(nGC_50)*coupl(nGC_610))/(32d0*pi**2d0)
    coupl(nGC_3344) = (coupl(nGC_1066)*coupl(nGC_40)*coupl(nGC_83) + coupl(    &
                      nGC_23)*coupl(nGC_560)*coupl(nGC_81) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_83) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_84) - coupl(nGC_82)*coupl(nGC_83)**2d0 - coupl(nGC_82&
                      )*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3498) = coupl(nGC_3174)*dlam_QED2 + coupl(nGC_3175)*dvev_QEDM1
    coupl(nGC_3347) = (-coupl(nGC_1066)*coupl(nGC_39)*coupl(nGC_87) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_88) - coupl(nGC_23)*coupl(nGC_560 &
                      )*coupl(nGC_85) - coupl(nGC_35)*coupl(nGC_37)*coupl(     &
                      nGC_87) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_88   &
                      ) - coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_85) - coupl(   &
                      nGC_86)*coupl(nGC_87)**2d0 - coupl(nGC_86)*coupl(nGC_88  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3341) = (-coupl(nGC_1066)*coupl(nGC_35)*coupl(nGC_79) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_78) - coupl(nGC_22)*coupl(nGC_23)*&
                      coupl(nGC_77) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(   &
                      nGC_78) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_79) -    &
                      coupl(nGC_53)*coupl(nGC_54)*coupl(nGC_77) - coupl(nGC_78 &
                      )**2d0*coupl(nGC_80) - coupl(nGC_79)**2d0*coupl(nGC_80   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3342) = (-coupl(nGC_1066)*coupl(nGC_39)*coupl(nGC_79) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_80) - coupl(nGC_23)*coupl(nGC_560 &
                      )*coupl(nGC_77) - coupl(nGC_35)*coupl(nGC_37)*coupl(     &
                      nGC_79) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_80   &
                      ) - coupl(nGC_53)*coupl(nGC_56)*coupl(nGC_77) - coupl(   &
                      nGC_78)*coupl(nGC_79)**2d0 - coupl(nGC_78)*coupl(nGC_80  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3343) = (coupl(nGC_1066)*coupl(nGC_36)*coupl(nGC_83) + coupl(    &
                      nGC_22)*coupl(nGC_23)*coupl(nGC_81) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_82) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_82) -  &
                      coupl(nGC_82)**2d0*coupl(nGC_84) - coupl(nGC_83)**2d0*   &
                      coupl(nGC_84))/(32d0*pi**2d0)
    coupl(nGC_6053) = coupl(nGC_3622) + coupl(nGC_MZ)*dZZ
    coupl(nGC_6050) = coupl(nGC_MI)*dZZ
    coupl(nGC_6054) = -coupl(nGC_6050)
    coupl(nGC_3258) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_5403) = coupl(nGC_2)*dZtR + coupl(nGC_35)*dZZA/2d0
    coupl(nGC_5402) = coupl(nGC_2)*dZtL + coupl(nGC_39)*dZZA/2d0
    coupl(nGC_6750) = coupl(nGC_3577) + coupl(nGC_72)*dZmuMinusL/2d0 + coupl(  &
                      nGC_72)*dZmuMinusR/2d0
    coupl(nGC_4938) = coupl(nGC_11)*dZuR_QED2
    coupl(nGC_4939) = coupl(nGC_11)*dZuR_QCD2
    coupl(nGC_4932) = coupl(nGC_3510) + coupl(nGC_37)*dZH/2d0 + coupl(nGC_37)* &
                      dZZ/2d0
    coupl(nGC_3506) = coupl(nGC_3092)*dZee + coupl(nGC_3093)*dsw_
    coupl(nGC_3507) = coupl(nGC_3086)*dZee + coupl(nGC_3087)*dsw_
    coupl(nGC_3504) = coupl(nGC_3090)*dZee + coupl(nGC_3091)*dsw_
    coupl(nGC_3505) = coupl(nGC_3107)*dZee + coupl(nGC_3108)*dsw_
    coupl(nGC_3502) = coupl(nGC_3179)*dsw_ + coupl(nGC_3180)*dZee + coupl(     &
                      nGC_3181)*dvev_QEDM1
    coupl(nGC_3503) = coupl(nGC_3094)*dZee + coupl(nGC_3095)*dsw_
    coupl(nGC_3500) = coupl(nGC_3111)*dZee + coupl(nGC_3112)*dsw_
    coupl(nGC_3501) = coupl(nGC_3109)*dZee + coupl(nGC_3110)*dsw_
    coupl(nGC_3460) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 3d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_2394) - 3d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_2400) - 25d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(384d0*pi**2d0)
    coupl(nGC_3509) = coupl(nGC_3152)*dZee + coupl(nGC_3153)*dsw_ + coupl(     &
                      nGC_3154)*dcw_
    coupl(nGC_5045) = coupl(nGC_38)*dZsL_QED2
    coupl(nGC_5047) = coupl(nGC_38)*dZsL_QCD2
    coupl(nGC_3545) = coupl(nGC_3193)*dydo_QED1_QCD2
    coupl(nGC_5048) = coupl(nGC_1)*dZAZ/2d0
    coupl(nGC_3251) = cMM*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**  &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_5169) = coupl(nGC_34)*dZbR_QCD2
    coupl(nGC_5167) = coupl(nGC_34)*dZbR_QED2
    coupl(nGC_5165) = coupl(nGC_28)*dZAZ/2d0 + coupl(nGC_3512) + coupl(nGC_9)* &
                      dZWMinus/2d0 + coupl(nGC_9)*dZZ/2d0
    coupl(nGC_3263) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) + coupl(  &
                      nGC_1)*coupl(nGC_55)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_77)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0*coupl(nGC_274))/(32d0*pi**2d0)
    coupl(nGC_3262) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53) -  &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57) - 2d0&
                      *Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61) - 2d0*Nc&
                      *cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73) - 2d0*Nc*  &
                      cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77) - 2d0*Nc*cMU&
                      *coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85) + 4d0*cima*    &
                      coupl(nGC_226)*coupl(nGC_47) + 4d0*cima*coupl(nGC_5)*    &
                      coupl(nGC_51) - coupl(nGC_21)*coupl(nGC_274)*coupl(nGC_50&
                      ) + 6d0*coupl(nGC_25)*coupl(nGC_274)*coupl(nGC_47) -     &
                      coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_51) + 6d0*coupl(   &
                      nGC_274)*coupl(nGC_3)*coupl(nGC_51) - coupl(nGC_3)*coupl(&
                      nGC_4)*coupl(nGC_51))/(32d0*pi**2d0)
    coupl(nGC_3267) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55) -  &
                      4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55) - 4d0&
                      *Nc*cMC*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59) - 4d0*Nc&
                      *cMC*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_59) - 4d0*Nc*  &
                      cMD*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_63) - 4d0*Nc*cMD&
                      *coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_63) - 4d0*Nc*cMS*  &
                      coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_75) - 4d0*Nc*cMS*   &
                      coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_75) - 4d0*Nc*cMT*   &
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79) - 4d0*Nc*cMT*   &
                      coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_79) - 4d0*Nc*cMU*   &
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87) - 4d0*Nc*cMU*   &
                      coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_87) - 4d0*cME*coupl(&
                      nGC_36)*coupl(nGC_4)*coupl(nGC_67) - 4d0*cME*coupl(nGC_4 &
                      )*coupl(nGC_40)*coupl(nGC_67) - 4d0*cMM*coupl(nGC_36)*   &
                      coupl(nGC_4)*coupl(nGC_71) - 4d0*cMM*coupl(nGC_4)*coupl( &
                      nGC_40)*coupl(nGC_71) - 4d0*cMTA*coupl(nGC_36)*coupl(    &
                      nGC_4)*coupl(nGC_83) - 4d0*cMTA*coupl(nGC_4)*coupl(nGC_40&
                      )*coupl(nGC_83) + 4d0*cima*coupl(nGC_29)*coupl(nGC_50) - &
                      coupl(nGC_1070)*coupl(nGC_3)*coupl(nGC_47) - coupl(nGC_20&
                      )*coupl(nGC_364)*coupl(nGC_51) - coupl(nGC_21)*coupl(    &
                      nGC_25)*coupl(nGC_51) + 6d0*coupl(nGC_25)*coupl(nGC_3)*  &
                      coupl(nGC_50) + 6d0*coupl(nGC_274)*coupl(nGC_364)*coupl( &
                      nGC_50) - coupl(nGC_274)*coupl(nGC_47)*coupl(nGC_610))/( &
                      32d0*pi**2d0)
    coupl(nGC_3266) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_55) - 8d0*Nc*cMC&
                      *coupl(nGC_2)**2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl(nGC_1&
                      )**2d0*coupl(nGC_63) - 8d0*Nc*cMS*coupl(nGC_1)**2d0*coupl&
                      (nGC_75) - 8d0*Nc*cMT*coupl(nGC_2)**2d0*coupl(nGC_79) -  &
                      8d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_87) - 8d0*cME*    &
                      coupl(nGC_4)**2d0*coupl(nGC_67) - 8d0*cMM*coupl(nGC_4)** &
                      2d0*coupl(nGC_71) - 8d0*cMTA*coupl(nGC_4)**2d0*coupl(    &
                      nGC_83) + 4d0*cima*coupl(nGC_434)*coupl(nGC_50) - coupl( &
                      nGC_1070)*coupl(nGC_3)*coupl(nGC_51) - coupl(nGC_20)*    &
                      coupl(nGC_274)*coupl(nGC_51) - coupl(nGC_21)*coupl(nGC_3 &
                      )*coupl(nGC_51) + 6d0*coupl(nGC_274)**2d0*coupl(nGC_50   &
                      ) - coupl(nGC_274)*coupl(nGC_51)*coupl(nGC_610) + 6d0*   &
                      coupl(nGC_3)**2d0*coupl(nGC_50))/(32d0*pi**2d0)
    coupl(nGC_3265) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3264) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) + coupl(  &
                      nGC_1)*coupl(nGC_55)**2d0 + coupl(nGC_2)*coupl(nGC_53)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3269) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_73)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*&
                      coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_58)*coupl(   &
                      nGC_60) + coupl(nGC_2)*coupl(nGC_59)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_5653) = coupl(nGC_13)*dZH + coupl(nGC_3495)
    coupl(nGC_7192) = coupl(nGC_3498) + 3d0*coupl(nGC_49)*dZH/2d0
    coupl(nGC_8853) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_8854) = -coupl(nGC_8853)
    coupl(nGC_5301) = coupl(nGC_52)*dZZA/2d0
    coupl(nGC_3328) = coupl(nGC_11)**2d0*coupl(nGC_60)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3554) = coupl(nGC_3203)*dys_QED1_QCD2
    coupl(nGC_5273) = coupl(nGC_3511) + coupl(nGC_4)*dZAZ/2d0 + coupl(nGC_40)* &
                      dZZ/2d0
    coupl(nGC_3323) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_54) - coupl(nGC_1066)*  &
                      coupl(nGC_38)*coupl(nGC_55) - coupl(nGC_23)*coupl(nGC_53 &
                      )*coupl(nGC_560) - coupl(nGC_34)*coupl(nGC_37)*coupl(    &
                      nGC_55) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_54   &
                      ) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_78) - coupl(   &
                      nGC_54)**2d0*coupl(nGC_56) - coupl(nGC_55)**2d0*coupl(   &
                      nGC_56))/(32d0*pi**2d0)
    coupl(nGC_5571) = coupl(nGC_38)*dZdL_QCD2
    coupl(nGC_4888) = coupl(nGC_3538) + coupl(nGC_73)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_73)*dZsR_QCD2/2d0
    coupl(nGC_4889) = coupl(nGC_3537) + coupl(nGC_57)*dZcR_QED2/2d0 + coupl(   &
                      nGC_57)*dZsL_QED2/2d0
    coupl(nGC_3486) = coupl(nGC_3084)*dMW2 + coupl(nGC_3085)*dZee
    coupl(nGC_3485) = coupl(nGC_3071)*dZee
    coupl(nGC_3484) = coupl(nGC_3096)*dZee + coupl(nGC_3097)*dsw_ + coupl(     &
                      nGC_3098)*dcw_
    coupl(nGC_3483) = coupl(nGC_3113)*dZee + coupl(nGC_3114)*dsw_ + coupl(     &
                      nGC_3115)*dcw_
    coupl(nGC_6531) = coupl(nGC_83)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_6532) = coupl(nGC_3583) + coupl(nGC_83)*dZH/2d0
    coupl(nGC_3480) = coupl(nGC_3073)*dZee
    coupl(nGC_3489) = coupl(nGC_3155)*dsw_ + coupl(nGC_3156)*dMW2 + coupl(     &
                      nGC_3157)*dZee + coupl(nGC_3158)*dcw_
    coupl(nGC_3488) = coupl(nGC_3122)*dsw_ + coupl(nGC_3123)*dMW2 + coupl(     &
                      nGC_3124)*dZee
    coupl(nGC_7253) = coupl(nGC_39)*dZcL_QCD2
    coupl(nGC_4978) = coupl(nGC_39)*dZuL_QED2
    coupl(nGC_3548) = coupl(nGC_3188)*dydo_QED1_QCD2
    coupl(nGC_3549) = coupl(nGC_3188)*dydo_QED1
    coupl(nGC_3238) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3626) = coupl(nGC_152)*dMZ2
    coupl(nGC_3625) = coupl(nGC_148)*dMW2
    coupl(nGC_3624) = coupl(nGC_144)*dMW2
    coupl(nGC_3234) = cima*(coupl(nGC_25)**2d0 + coupl(nGC_274)**2d0 + coupl(  &
                      nGC_3)**2d0 + coupl(nGC_364)**2d0)/(48d0*pi**2d0)
    coupl(nGC_3235) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMC**  &
                      2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_23)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_23)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_23)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_23&
                      )**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_23)**2d0 + 2d0*cMTA &
                      **2d0*cima*coupl(nGC_23)**2d0 + 3d0*cMW**2d0*cima*coupl( &
                      nGC_25)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_274)**2d0 +   &
                      3d0*cMW**2d0*cima*coupl(nGC_3)**2d0 + 3d0*cMW**2d0*cima* &
                      coupl(nGC_364)**2d0 - 4d0*cMW**2d0*coupl(nGC_18) + 3d0*  &
                      cMZ**2d0*cima*coupl(nGC_25)**2d0 + 3d0*cMZ**2d0*cima*    &
                      coupl(nGC_364)**2d0 - 2d0*cMZ**2d0*coupl(nGC_310))/(32d0*&
                      pi**2d0)
    coupl(nGC_3236) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_23)**2d0 - coupl(   &
                      nGC_39)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3546) = coupl(nGC_3193)*dydo_QED1
    coupl(nGC_3231) = cima*(coupl(nGC_25)**2d0 + coupl(nGC_364)**2d0)/(48d0*pi &
                      **2d0)
    coupl(nGC_3232) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMB**  &
                      2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_35)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_39)**2d0 + &
                      2d0*Nc*cMD**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_34)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_38)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_35)**2d0 + 2d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_39)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_35)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(nGC_39)**2d0 + &
                      2d0*cME**2d0*cima*coupl(nGC_36)**2d0 + 2d0*cME**2d0*cima*&
                      coupl(nGC_40)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_36)**2d0&
                       + 2d0*cMM**2d0*cima*coupl(nGC_40)**2d0 + 2d0*cMTA**2d0* &
                      cima*coupl(nGC_36)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_40&
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_25)**2d0 + 3d0*cMW**&
                      2d0*cima*coupl(nGC_364)**2d0 - 2d0*cMW**2d0*coupl(nGC_310&
                      ))/(16d0*pi**2d0)
    coupl(nGC_3233) = cima*(-2d0*Nc*coupl(nGC_23)**2d0 - 2d0*coupl(nGC_23)**2d0&
                       - coupl(nGC_25)**2d0 - coupl(nGC_274)**2d0 - coupl(nGC_3&
                      )**2d0 - coupl(nGC_364)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5122) = coupl(nGC_22)*dZWMinus/2d0 + coupl(nGC_3503)
    coupl(nGC_5083) = coupl(nGC_3485) + coupl(nGC_4)*dZA/2d0 + coupl(nGC_40)*  &
                      dZZA/2d0
    coupl(nGC_5085) = coupl(nGC_46)*dZZA/2d0
    coupl(nGC_5084) = -coupl(nGC_5083)
    coupl(nGC_3518) = coupl(nGC_3189)*dsw_ + coupl(nGC_3190)*dZee + coupl(     &
                      nGC_3191)*dcw_ + coupl(nGC_3192)*dvev_QEDM1
    coupl(nGC_5691) = coupl(nGC_3615) + coupl(nGC_5688)
    coupl(nGC_4907) = coupl(nGC_39)*dZZA/2d0
    coupl(nGC_4906) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_4905) = coupl(nGC_2)*dZuL_QED2
    coupl(nGC_9925) = -coupl(nGC_3459)
    coupl(nGC_4902) = coupl(nGC_2)*dZuR_QED2
    coupl(nGC_9921) = -coupl(nGC_3456)
    coupl(nGC_3309) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53) -  &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53) -   &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53) +   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57) +   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61) +   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73) +   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77) +   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85) +   &
                      2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65) - 2d0* &
                      cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65) - 2d0*cME* &
                      coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65) + 2d0*cMM*coupl&
                      (nGC_23)*coupl(nGC_36)*coupl(nGC_69) - 2d0*cMM*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_69) - 2d0*cMM*coupl(     &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_69) + 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_36)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_81) + 4d0*cima*coupl(    &
                      nGC_19)*coupl(nGC_47) + 4d0*cima*coupl(nGC_226)*coupl(   &
                      nGC_51) - coupl(nGC_21)*coupl(nGC_364)*coupl(nGC_50) +   &
                      6d0*coupl(nGC_25)*coupl(nGC_364)*coupl(nGC_47) - coupl(  &
                      nGC_25)*coupl(nGC_40)*coupl(nGC_47) + 6d0*coupl(nGC_3)*  &
                      coupl(nGC_364)*coupl(nGC_51) - coupl(nGC_3)*coupl(nGC_4)*&
                      coupl(nGC_47) - coupl(nGC_364)*coupl(nGC_52)*coupl(      &
                      nGC_610))/(32d0*pi**2d0)
    coupl(nGC_5455) = coupl(nGC_3550) + coupl(nGC_62)*dZdL_QED2/2d0 + coupl(   &
                      nGC_62)*dZdR_QED2/2d0
    coupl(nGC_5452) = coupl(nGC_3545) + coupl(nGC_64)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_64)*dZdR_QCD2/2d0
    coupl(nGC_5453) = coupl(nGC_3548) + coupl(nGC_62)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_62)*dZdR_QCD2/2d0
    coupl(nGC_10089) = -coupl(nGC_3268)
    coupl(nGC_3436) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 40d0*coupl( &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_3437) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 40d0*coupl(  &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_3434) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_61)**  &
                      2d0 + coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_87)**2d0)/(&
                      64d0*pi**2d0)
    coupl(nGC_3435) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                      nGC_35)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_86)*coupl( &
                      nGC_88) + coupl(nGC_87)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3432) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(   &
                      nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_61)**  &
                      2d0 - coupl(nGC_86)*coupl(nGC_88) - coupl(nGC_87)**2d0)/(&
                      64d0*pi**2d0*Nc)
    coupl(nGC_3430) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_23)**2d0 - coupl(nGC_53&
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3431) = -coupl(nGC_11)*coupl(nGC_77)**2d0*sq2/(64d0*pi**2d0*Nc)
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
