!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-02 00:09             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_7873) = coupl(nGC_MM)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_7876) = coupl(nGC_3609) + coupl(nGC_7873)
    coupl(nGC_3438) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-4d0*coupl(nGC_53)**2d0&
                       - 3d0*coupl(nGC_57)**2d0 - 3d0*coupl(nGC_61)**2d0 - 3d0*&
                      coupl(nGC_73)**2d0 - 4d0*coupl(nGC_77)**2d0 - 3d0*coupl( &
                      nGC_85)**2d0)/(96d0*pi**2d0)
    coupl(nGC_3439) = cima*coupl(nGC_11)**2d0*sq2**2d0*(4d0*coupl(nGC_53)**2d0 &
                       + 3d0*coupl(nGC_57)**2d0 + 3d0*coupl(nGC_61)**2d0 + 3d0*&
                      coupl(nGC_73)**2d0 + 4d0*coupl(nGC_77)**2d0 + 3d0*coupl( &
                      nGC_85)**2d0)/(96d0*pi**2d0*Nc)
    coupl(nGC_3281) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_74)*coupl(nGC_76) + coupl(  &
                      nGC_1)*coupl(nGC_75)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_57)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0*coupl(nGC_274))/(32d0*pi**2d0)
    coupl(nGC_3283) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_53)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*&
                      coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_78)*coupl(   &
                      nGC_80) + coupl(nGC_2)*coupl(nGC_79)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_3282) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_74)*coupl(nGC_76) + coupl(  &
                      nGC_1)*coupl(nGC_75)**2d0 + coupl(nGC_2)*coupl(nGC_73)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3285) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4)**&
                      2d0 + coupl(nGC_82)*coupl(nGC_84) + coupl(nGC_83)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_3284) = (coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_2)*coupl(nGC_79  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3286) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_82)*coupl(nGC_84) + coupl(nGC_4)*coupl( &
                      nGC_83)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3289) = (coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_2)*coupl(nGC_87  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3288) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_61)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*&
                      coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_86)*coupl(   &
                      nGC_88) + coupl(nGC_2)*coupl(nGC_87)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_5012) = coupl(nGC_3514) + coupl(nGC_47)*dZWMinus/2d0 + coupl(    &
                      nGC_47)*dZZ/2d0 + coupl(nGC_51)*dZAZ/2d0
    coupl(nGC_5621) = coupl(nGC_3551) + coupl(nGC_74)*dZsL_QCD2/2d0 + coupl(   &
                      nGC_74)*dZsR_QCD2/2d0
    coupl(nGC_5623) = coupl(nGC_3553) + coupl(nGC_74)*dZsL_QED2/2d0 + coupl(   &
                      nGC_74)*dZsR_QED2/2d0
    coupl(nGC_5622) = coupl(nGC_3554) + coupl(nGC_76)*dZsL_QCD2/2d0 + coupl(   &
                      nGC_76)*dZsR_QCD2/2d0
    coupl(nGC_5624) = coupl(nGC_3556) + coupl(nGC_76)*dZsL_QED2/2d0 + coupl(   &
                      nGC_76)*dZsR_QED2/2d0
    coupl(nGC_5972) = coupl(nGC_3574) + coupl(nGC_81)*dZnu_tauL/2d0 + coupl(   &
                      nGC_81)*dZtauMinusR/2d0
    coupl(nGC_5333) = coupl(nGC_3542) + coupl(nGC_53)*dZbR_QCD2/2d0
    coupl(nGC_5332) = coupl(nGC_77)*dZbL_QCD2/2d0
    coupl(nGC_5330) = coupl(nGC_77)*dZbL_QED2/2d0
    coupl(nGC_5336) = coupl(nGC_3544) + coupl(nGC_53)*dZbR_QED2/2d0
    coupl(nGC_5335) = coupl(nGC_3541) + coupl(nGC_77)*dZtR/2d0
    coupl(nGC_5334) = coupl(nGC_3543) + coupl(nGC_53)*dZtL/2d0
    coupl(nGC_5232) = coupl(nGC_3529) + coupl(nGC_61)*dZdR_QCD2/2d0 + coupl(   &
                      nGC_61)*dZuL_QCD2/2d0
    coupl(nGC_5233) = coupl(nGC_3534) + coupl(nGC_85)*dZdL_QED2/2d0 + coupl(   &
                      nGC_85)*dZuR_QED2/2d0
    coupl(nGC_5231) = coupl(nGC_3532) + coupl(nGC_85)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_85)*dZuR_QCD2/2d0
    coupl(nGC_7034) = coupl(nGC_3597) + coupl(nGC_78)*dZtL/2d0 + coupl(nGC_78)*&
                      dZtR/2d0
    coupl(nGC_5234) = coupl(nGC_3531) + coupl(nGC_61)*dZdR_QED2/2d0 + coupl(   &
                      nGC_61)*dZuL_QED2/2d0
    coupl(nGC_4887) = coupl(nGC_3535) + coupl(nGC_57)*dZcR_QCD2/2d0 + coupl(   &
                      nGC_57)*dZsL_QCD2/2d0
    coupl(nGC_6572) = coupl(nGC_3511) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZmuMinusL
    coupl(nGC_6573) = coupl(nGC_3528) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZmuMinusR
    coupl(nGC_6574) = coupl(nGC_4955) + coupl(nGC_6573)
    coupl(nGC_6575) = coupl(nGC_4955) + coupl(nGC_6572)
    coupl(nGC_5249) = coupl(nGC_75)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_5248) = coupl(nGC_75)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_3429) = coupl(nGC_11)*coupl(nGC_77)**2d0*sq2/(64d0*pi**2d0)
    coupl(nGC_5876) = coupl(nGC_3497) + coupl(nGC_48)*dZH/2d0
    coupl(nGC_3378) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1)* &
                      coupl(nGC_3) - coupl(nGC_2)*coupl(nGC_274) - coupl(nGC_25&
                      )*coupl(nGC_38) - coupl(nGC_364)*coupl(nGC_39) + coupl(  &
                      nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
    coupl(nGC_3371) = (-coupl(nGC_1066)*coupl(nGC_35)*coupl(nGC_80) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_79) - coupl(nGC_21)*coupl(nGC_23)*&
                      coupl(nGC_77) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(   &
                      nGC_79) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_80) -    &
                      coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) - coupl(nGC_79 &
                      )**3d0 - coupl(nGC_79)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3370) = (-coupl(nGC_1066)*coupl(nGC_39)*coupl(nGC_78) - coupl(   &
                      nGC_1070)*coupl(nGC_23)*coupl(nGC_77) + 8d0*coupl(nGC_2  &
                      )**2d0*coupl(nGC_79) - coupl(nGC_35)*coupl(nGC_37)*coupl(&
                      nGC_78) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_79   &
                      ) - coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) - coupl(   &
                      nGC_78)**2d0*coupl(nGC_79) - coupl(nGC_79)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3373) = (coupl(nGC_1066)*coupl(nGC_36)*coupl(nGC_84) + coupl(    &
                      nGC_21)*coupl(nGC_23)*coupl(nGC_81) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_83) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_83) -  &
                      coupl(nGC_83)**3d0 - coupl(nGC_83)*coupl(nGC_84)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3372) = (coupl(nGC_1066)*coupl(nGC_40)*coupl(nGC_82) + coupl(    &
                      nGC_1070)*coupl(nGC_23)*coupl(nGC_81) + coupl(nGC_36)*   &
                      coupl(nGC_37)*coupl(nGC_82) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_83) - coupl(nGC_82)**2d0*coupl(nGC_83) - coupl(nGC_83&
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_3375) = (-coupl(nGC_1066)*coupl(nGC_35)*coupl(nGC_88) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_21)*coupl(nGC_23)*&
                      coupl(nGC_85) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(   &
                      nGC_87) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_88) -    &
                      coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) - coupl(nGC_87 &
                      )**3d0 - coupl(nGC_87)*coupl(nGC_88)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3374) = (-coupl(nGC_1066)*coupl(nGC_39)*coupl(nGC_86) - coupl(   &
                      nGC_1070)*coupl(nGC_23)*coupl(nGC_85) + 8d0*coupl(nGC_2  &
                      )**2d0*coupl(nGC_87) - coupl(nGC_35)*coupl(nGC_37)*coupl(&
                      nGC_86) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_87   &
                      ) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) - coupl(   &
                      nGC_86)**2d0*coupl(nGC_87) - coupl(nGC_87)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3377) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_2) + coupl(nGC_1)* &
                      coupl(nGC_274) + coupl(nGC_2)*coupl(nGC_3) + coupl(nGC_25&
                      )*coupl(nGC_39) + coupl(nGC_364)*coupl(nGC_38) + coupl(  &
                      nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
    coupl(nGC_3376) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6047) = coupl(nGC_67)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_6048) = coupl(nGC_3581) + coupl(nGC_67)*dZH/2d0
    coupl(nGC_6049) = coupl(nGC_6047) + coupl(nGC_6048)
    coupl(nGC_3482) = coupl(nGC_3088)*dZee + coupl(nGC_3089)*dsw_
    coupl(nGC_5799) = coupl(nGC_20)*dZH/2d0 + coupl(nGC_20)*dZWMinus/2d0 +     &
                      coupl(nGC_3506)
    coupl(nGC_5416) = coupl(nGC_63)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_3481) = coupl(nGC_3104)*dZee + coupl(nGC_3105)*dsw_ + coupl(     &
                      nGC_3106)*dcw_
    coupl(nGC_5415) = coupl(nGC_63)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_5418) = coupl(nGC_3564) + coupl(nGC_63)*dZH/2d0
    coupl(nGC_5419) = coupl(nGC_3565) + coupl(nGC_5415)
    coupl(nGC_3478) = coupl(nGC_3079)*dZgs_QCD2
    coupl(nGC_3479) = coupl(nGC_3068)*dZee
    coupl(nGC_3576) = coupl(nGC_3195)*dye_QED1
    coupl(nGC_3575) = coupl(nGC_3196)*dye_QED1
    coupl(nGC_3472) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 3d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_2394) - 9d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_2400) - 50d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_3473) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 24d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_2398) + 3d0*Nc*coupl(nGC_10)**2d0&
                      *coupl(nGC_12)*sq2**2d0 - 39d0*Nc*coupl(nGC_10)**2d0*    &
                      coupl(nGC_2398)*sq2**2d0 + 30d0*cima*coupl(nGC_11)**4d0* &
                      sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_3579) = coupl(nGC_3209)*dytau_QED1
    coupl(nGC_3578) = coupl(nGC_3198)*dym_QED1
    coupl(nGC_3477) = coupl(nGC_3078)*dZgs_QCD2
    coupl(nGC_3474) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_2398) + 9d0*Nc*coupl(nGC_10)**2d0&
                      *coupl(nGC_12)*sq2**2d0 - 12d0*Nc*coupl(nGC_10)**2d0*    &
                      coupl(nGC_2398)*sq2**2d0 + 15d0*cima*coupl(nGC_11)**4d0* &
                      sq2**4d0)/(384d0*pi**2d0)
    coupl(nGC_5052) = coupl(nGC_34)*dZsR_QCD2
    coupl(nGC_5050) = coupl(nGC_34)*dZsR_QED2
    coupl(nGC_5119) = coupl(nGC_3614) + coupl(nGC_5113)
    coupl(nGC_5118) = coupl(nGC_3613) + coupl(nGC_5112)
    coupl(nGC_3270) = (coupl(nGC_1)*coupl(nGC_57)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_2)*coupl(nGC_59  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3272) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4)**&
                      2d0 + coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_67)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_3273) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_4)*coupl( &
                      nGC_67)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3274) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) + coupl(  &
                      nGC_1)*coupl(nGC_63)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_85)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0*coupl(nGC_274))/(32d0*pi**2d0)
    coupl(nGC_3277) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_4)*coupl( &
                      nGC_71)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5706) = coupl(nGC_3511) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZtauMinusL
    coupl(nGC_5705) = coupl(nGC_3528) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZtauMinusR
    coupl(nGC_6434) = coupl(nGC_21)*dZH/2d0 + coupl(nGC_21)*dZWMinus/2d0 +     &
                      coupl(nGC_3504)
    coupl(nGC_3409) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10 &
                      ) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_3407) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_85)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_39)*coupl(     &
                      nGC_87)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3406) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_61)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_35)*coupl(     &
                      nGC_87)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3405) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                      )**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_82)*coupl(&
                      nGC_84) + coupl(nGC_36)*coupl(nGC_83)**2d0 + 4d0*coupl(  &
                      nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_3404) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4  &
                      )**2d0 + coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84) +     &
                      coupl(nGC_40)*coupl(nGC_83)**2d0 + coupl(nGC_41)*coupl(  &
                      nGC_81)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3403) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_77)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_39)*coupl(     &
                      nGC_79)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3402) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_53)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_35)*coupl(     &
                      nGC_79)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3401) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76) +     &
                      coupl(nGC_38)*coupl(nGC_75)**2d0 + coupl(nGC_39)*coupl(  &
                      nGC_73)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3400) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_364) + 4d0*coupl(nGC_23)**2d0*coupl(    &
                      nGC_39) + coupl(nGC_34)*coupl(nGC_74)*coupl(nGC_76) +    &
                      coupl(nGC_34)*coupl(nGC_75)**2d0 + coupl(nGC_35)*coupl(  &
                      nGC_57)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5026) = coupl(nGC_3625) + coupl(nGC_MMW_GF)*dZWMinus/2d0
    coupl(nGC_5023) = coupl(nGC_31)*dZH/2d0 + coupl(nGC_3488)
    coupl(nGC_6389) = coupl(nGC_3559) + coupl(nGC_54)*dZbL_QED2/2d0 + coupl(   &
                      nGC_54)*dZbR_QED2/2d0
    coupl(nGC_5020) = coupl(nGC_3575) + coupl(nGC_68)*dZeMinusL/2d0 + coupl(   &
                      nGC_68)*dZeMinusR/2d0
    coupl(nGC_6387) = coupl(nGC_3557) + coupl(nGC_54)*dZbL_QCD2/2d0 + coupl(   &
                      nGC_54)*dZbR_QCD2/2d0
    coupl(nGC_6147) = 2d0*coupl(nGC_15)*dZH + coupl(nGC_3494)
    coupl(nGC_7251) = coupl(nGC_39)*dZcL_QED2
    coupl(nGC_5569) = coupl(nGC_38)*dZdL_QED2
    coupl(nGC_5567) = coupl(nGC_34)*dZdR_QCD2
    coupl(nGC_5565) = coupl(nGC_34)*dZdR_QED2
    coupl(nGC_3490) = coupl(nGC_3101)*dZee + coupl(nGC_3102)*dsw_ + coupl(     &
                      nGC_3103)*dcw_
    coupl(nGC_3491) = coupl(nGC_3119)*dsw_ + coupl(nGC_3120)*dMW2 + coupl(     &
                      nGC_3121)*dZee
    coupl(nGC_3492) = coupl(nGC_3128)*dZee + coupl(nGC_3129)*dsw_ + coupl(     &
                      nGC_3130)*dMZ2
    coupl(nGC_3493) = coupl(nGC_3159)*dZee + coupl(nGC_3160)*dsw_ + coupl(     &
                      nGC_3161)*dMZ2 + coupl(nGC_3162)*dcw_
    coupl(nGC_3499) = coupl(nGC_3072)*dZee
    coupl(nGC_5935) = coupl(nGC_3580) + coupl(nGC_84)*dZtauMinusL/2d0 + coupl( &
                      nGC_84)*dZtauMinusR/2d0
    coupl(nGC_5936) = coupl(nGC_3579) + coupl(nGC_82)*dZtauMinusL/2d0 + coupl( &
                      nGC_82)*dZtauMinusR/2d0
    coupl(nGC_5417) = coupl(nGC_3563) + coupl(nGC_5416)
    coupl(nGC_4984) = coupl(nGC_35)*dZuR_QCD2
    coupl(nGC_4982) = coupl(nGC_35)*dZuR_QED2
    coupl(nGC_4980) = coupl(nGC_39)*dZuL_QCD2
    coupl(nGC_3333) = (coupl(nGC_1066)*coupl(nGC_36)*coupl(nGC_67) + coupl(    &
                      nGC_22)*coupl(nGC_23)*coupl(nGC_65) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_66) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_66) -  &
                      coupl(nGC_66)**2d0*coupl(nGC_68) - coupl(nGC_67)**2d0*   &
                      coupl(nGC_68))/(32d0*pi**2d0)
    coupl(nGC_7130) = coupl(nGC_MZ)*dZZA/2d0
    coupl(nGC_4862) = coupl(nGC_11)*dZbR_QED2
    coupl(nGC_4865) = coupl(nGC_11)*dZbL_QCD2
    coupl(nGC_3442) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_54)*coupl(  &
                      nGC_56) - coupl(nGC_58)*coupl(nGC_60) - coupl(nGC_62)*   &
                      coupl(nGC_64) - coupl(nGC_74)*coupl(nGC_76) - coupl(     &
                      nGC_86)*coupl(nGC_88))/(16d0*pi**2d0)
    coupl(nGC_3469) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_2398) + 12d0*Nc*coupl(nGC_10)**  &
                      2d0*coupl(nGC_12)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*  &
                      coupl(nGC_2398)*sq2**2d0 + 15d0*cima*coupl(nGC_11)**4d0* &
                      sq2**4d0)/(384d0*pi**2d0)
    coupl(nGC_6853) = coupl(nGC_3612) + coupl(nGC_6849)
    coupl(nGC_6852) = coupl(nGC_3611) + coupl(nGC_6848)
    coupl(nGC_6864) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_4914) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0 + coupl(   &
                      nGC_3)*dZWMinus + coupl(nGC_3479)
    coupl(nGC_4915) = -coupl(nGC_4914)
    coupl(nGC_3339) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_74) - coupl(nGC_1066)*  &
                      coupl(nGC_38)*coupl(nGC_75) - coupl(nGC_23)*coupl(nGC_560&
                      )*coupl(nGC_73) - coupl(nGC_34)*coupl(nGC_37)*coupl(     &
                      nGC_75) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_74   &
                      ) - coupl(nGC_57)*coupl(nGC_58)*coupl(nGC_73) - coupl(   &
                      nGC_74)**2d0*coupl(nGC_76) - coupl(nGC_75)**2d0*coupl(   &
                      nGC_76))/(32d0*pi**2d0)
    coupl(nGC_3338) = coupl(nGC_11)**2d0*coupl(nGC_76)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3335) = (coupl(nGC_1066)*coupl(nGC_36)*coupl(nGC_71) + coupl(    &
                      nGC_22)*coupl(nGC_23)*coupl(nGC_69) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_70) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_70) -  &
                      coupl(nGC_70)**2d0*coupl(nGC_72) - coupl(nGC_71)**2d0*   &
                      coupl(nGC_72))/(32d0*pi**2d0)
    coupl(nGC_3334) = (coupl(nGC_1066)*coupl(nGC_40)*coupl(nGC_67) + coupl(    &
                      nGC_23)*coupl(nGC_560)*coupl(nGC_65) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_67) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_68) - coupl(nGC_66)*coupl(nGC_67)**2d0 - coupl(nGC_66&
                      )*coupl(nGC_68)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3337) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_76) - coupl(nGC_1066)*  &
                      coupl(nGC_34)*coupl(nGC_75) - coupl(nGC_22)*coupl(nGC_23 &
                      )*coupl(nGC_73) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_76) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_75) -    &
                      coupl(nGC_57)*coupl(nGC_60)*coupl(nGC_73) - coupl(nGC_74 &
                      )*coupl(nGC_75)**2d0 - coupl(nGC_74)*coupl(nGC_76)**2d0  &
                      )/(32d0*pi**2d0)
    coupl(nGC_3336) = (coupl(nGC_1066)*coupl(nGC_40)*coupl(nGC_71) + coupl(    &
                      nGC_23)*coupl(nGC_560)*coupl(nGC_69) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_71) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_72) - coupl(nGC_70)*coupl(nGC_71)**2d0 - coupl(nGC_70&
                      )*coupl(nGC_72)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3331) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_62) - coupl(nGC_1066)*  &
                      coupl(nGC_38)*coupl(nGC_63) - coupl(nGC_23)*coupl(nGC_560&
                      )*coupl(nGC_61) - coupl(nGC_34)*coupl(nGC_37)*coupl(     &
                      nGC_63) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_62   &
                      ) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_86) - coupl(   &
                      nGC_62)**2d0*coupl(nGC_64) - coupl(nGC_63)**2d0*coupl(   &
                      nGC_64))/(32d0*pi**2d0)
    coupl(nGC_4919) = coupl(nGC_17)*dZWMinus + coupl(nGC_3507)
    coupl(nGC_3332) = coupl(nGC_11)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3443) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_54)*coupl(   &
                      nGC_56) + coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_62)*   &
                      coupl(nGC_64) + coupl(nGC_74)*coupl(nGC_76) + coupl(     &
                      nGC_86)*coupl(nGC_88))/(16d0*pi**2d0*Nc)
    coupl(nGC_6863) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_6869) = coupl(nGC_3618) + coupl(nGC_6863)
    coupl(nGC_3445) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_55)**2d0 +   &
                      coupl(nGC_59)**2d0 + coupl(nGC_63)**2d0 + coupl(nGC_75)**&
                      2d0 + coupl(nGC_87)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_3444) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_55)**2d0 -  &
                      coupl(nGC_59)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_75)**&
                      2d0 - coupl(nGC_87)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3449) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-3d0*coupl(nGC_1)*coupl&
                      (nGC_34) - 3d0*coupl(nGC_1)*coupl(nGC_38) - 2d0*coupl(   &
                      nGC_2)*coupl(nGC_35) - 2d0*coupl(nGC_2)*coupl(nGC_39))/( &
                      96d0*pi**2d0*Nc)
    coupl(nGC_3448) = cima*coupl(nGC_11)**2d0*sq2**2d0*(3d0*coupl(nGC_1)*coupl(&
                      nGC_34) + 3d0*coupl(nGC_1)*coupl(nGC_38) + 2d0*coupl(    &
                      nGC_2)*coupl(nGC_35) + 2d0*coupl(nGC_2)*coupl(nGC_39))/( &
                      96d0*pi**2d0)
    coupl(nGC_3298) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_73) + coupl(nGC_1070)*coupl&
                      (nGC_23)*coupl(nGC_75) + coupl(nGC_192)*coupl(nGC_2)*    &
                      coupl(nGC_73) + coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_76 &
                      ) + coupl(nGC_266)*coupl(nGC_39)*coupl(nGC_73) + 8d0*    &
                      coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73) + coupl(nGC_34 &
                      )*coupl(nGC_40)*coupl(nGC_73) - coupl(nGC_57)*coupl(     &
                      nGC_58)*coupl(nGC_76) - coupl(nGC_57)*coupl(nGC_59)*coupl&
                      (nGC_75))/(32d0*pi**2d0)
    coupl(nGC_3299) = coupl(nGC_11)**2d0*coupl(nGC_73)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3524) = coupl(nGC_3143)*dZee + coupl(nGC_3144)*dsw_ + coupl(     &
                      nGC_3145)*dcw_
    coupl(nGC_3525) = coupl(nGC_3140)*dZee + coupl(nGC_3141)*dsw_ + coupl(     &
                      nGC_3142)*dcw_
    coupl(nGC_3526) = coupl(nGC_3125)*dZee + coupl(nGC_3126)*dsw_ + coupl(     &
                      nGC_3127)*dcw_
    coupl(nGC_3527) = coupl(nGC_3149)*dZee + coupl(nGC_3150)*dsw_ + coupl(     &
                      nGC_3151)*dcw_
    coupl(nGC_3292) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) + 4d0*&
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) - 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) - 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_1066)*coupl(     &
                      nGC_266)*coupl(nGC_560) + coupl(nGC_1070)**2d0*coupl(    &
                      nGC_610) - 6d0*coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_40  &
                      ) - 6d0*coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_4) + coupl( &
                      nGC_22)**2d0*coupl(nGC_610) - 4d0*coupl(nGC_23)*coupl(   &
                      nGC_65)*coupl(nGC_67) - 4d0*coupl(nGC_23)*coupl(nGC_69)* &
                      coupl(nGC_71) - 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(   &
                      nGC_83) - 6d0*coupl(nGC_364)*coupl(nGC_37)*coupl(nGC_560 &
                      ))/(96d0*pi**2d0)
    coupl(nGC_3521) = coupl(nGC_112)*dZgs_QCD2
    coupl(nGC_3522) = coupl(nGC_3099)*dZee + coupl(nGC_3100)*dsw_
    coupl(nGC_3523) = coupl(nGC_3131)*dZee + coupl(nGC_3132)*dsw_ + coupl(     &
                      nGC_3133)*dcw_
    coupl(nGC_3426) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(    &
                      nGC_34)**2d0 + coupl(nGC_73)**2d0 + coupl(nGC_74)*coupl( &
                      nGC_76) + coupl(nGC_75)**2d0)/(64d0*pi**2d0)
    coupl(nGC_5065) = coupl(nGC_3485) + coupl(nGC_4)*dZA/2d0
    coupl(nGC_5064) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZmuMinusR
    coupl(nGC_5632) = coupl(nGC_25)*dZZ/2d0 + coupl(nGC_3)*dZAZ/2d0 + coupl(   &
                      nGC_3481)
    coupl(nGC_5633) = -coupl(nGC_5632)
    coupl(nGC_3296) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_57) + coupl(nGC_192)*coupl(&
                      nGC_2)*coupl(nGC_57) + coupl(nGC_20)*coupl(nGC_23)*coupl(&
                      nGC_59) + coupl(nGC_23)*coupl(nGC_560)*coupl(nGC_60) +   &
                      coupl(nGC_266)*coupl(nGC_35)*coupl(nGC_57) + 8d0*coupl(  &
                      nGC_35)*coupl(nGC_38)*coupl(nGC_57) + coupl(nGC_38)*coupl&
                      (nGC_40)*coupl(nGC_57) - coupl(nGC_59)*coupl(nGC_73)*    &
                      coupl(nGC_75) - coupl(nGC_60)*coupl(nGC_73)*coupl(nGC_74 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3242) = cima*(coupl(nGC_36)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi** &
                      2d0)
    coupl(nGC_3294) = (-coupl(nGC_1)*coupl(nGC_192)*coupl(nGC_77) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_77) - coupl(nGC_1070)*coupl&
                      (nGC_23)*coupl(nGC_79) - coupl(nGC_2)*coupl(nGC_4)*coupl(&
                      nGC_77) - coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_80) -    &
                      coupl(nGC_266)*coupl(nGC_38)*coupl(nGC_77) + 8d0*coupl(  &
                      nGC_35)*coupl(nGC_38)*coupl(nGC_77) - coupl(nGC_35)*coupl&
                      (nGC_40)*coupl(nGC_77) - coupl(nGC_53)*coupl(nGC_54)*    &
                      coupl(nGC_80) - coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_79 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3295) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53) -  &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53) -   &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53) +   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57) +   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61) +   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73) +   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77) +   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85) +   &
                      2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65) - 2d0* &
                      cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65) - 2d0*cME* &
                      coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65) + 2d0*cMM*coupl&
                      (nGC_23)*coupl(nGC_36)*coupl(nGC_69) - 2d0*cMM*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_69) - 2d0*cMM*coupl(     &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_69) + 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_36)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_81) + 4d0*cima*coupl(    &
                      nGC_19)*coupl(nGC_47) + 4d0*cima*coupl(nGC_226)*coupl(   &
                      nGC_51) - coupl(nGC_1070)*coupl(nGC_25)*coupl(nGC_52) -  &
                      coupl(nGC_192)*coupl(nGC_274)*coupl(nGC_47) - coupl(     &
                      nGC_20)*coupl(nGC_25)*coupl(nGC_50) + 6d0*coupl(nGC_25)* &
                      coupl(nGC_274)*coupl(nGC_51) + 6d0*coupl(nGC_25)*coupl(  &
                      nGC_364)*coupl(nGC_47) - coupl(nGC_266)*coupl(nGC_364)*  &
                      coupl(nGC_47))/(32d0*pi**2d0)
    coupl(nGC_3596) = coupl(nGC_3204)*dyt_QED1
    coupl(nGC_3599) = coupl(nGC_3210)*dyup_QED1
    coupl(nGC_3520) = coupl(nGC_3070)*dZee
    coupl(nGC_3293) = (-coupl(nGC_1)*coupl(nGC_192)*coupl(nGC_53) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_53) - coupl(nGC_2)*coupl(  &
                      nGC_4)*coupl(nGC_53) - coupl(nGC_20)*coupl(nGC_23)*coupl(&
                      nGC_55) - coupl(nGC_23)*coupl(nGC_56)*coupl(nGC_560) -   &
                      coupl(nGC_266)*coupl(nGC_34)*coupl(nGC_53) + 8d0*coupl(  &
                      nGC_34)*coupl(nGC_39)*coupl(nGC_53) - coupl(nGC_39)*coupl&
                      (nGC_40)*coupl(nGC_53) - coupl(nGC_55)*coupl(nGC_77)*    &
                      coupl(nGC_79) - coupl(nGC_56)*coupl(nGC_77)*coupl(nGC_78 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3290) = (4d0*Nc*coupl(nGC_34)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl( &
                      nGC_34)*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_34)*coupl( &
                      nGC_73)**2d0 - 4d0*Nc*coupl(nGC_35)*coupl(nGC_57)**2d0 - &
                      4d0*Nc*coupl(nGC_35)*coupl(nGC_77)**2d0 - 4d0*Nc*coupl(  &
                      nGC_35)*coupl(nGC_85)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl( &
                      nGC_57)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl(nGC_77)**2d0 + &
                      4d0*Nc*coupl(nGC_38)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(  &
                      nGC_39)*coupl(nGC_53)**2d0 - 4d0*Nc*coupl(nGC_39)*coupl( &
                      nGC_61)**2d0 - 4d0*Nc*coupl(nGC_39)*coupl(nGC_73)**2d0 + &
                      coupl(nGC_1066)*coupl(nGC_1070)*coupl(nGC_560) + coupl(  &
                      nGC_192)**2d0*coupl(nGC_40) - 6d0*coupl(nGC_20)*coupl(   &
                      nGC_25)*coupl(nGC_610) + coupl(nGC_21)*coupl(nGC_22)*    &
                      coupl(nGC_37) - 6d0*coupl(nGC_22)*coupl(nGC_25)*coupl(   &
                      nGC_560) + coupl(nGC_266)**2d0*coupl(nGC_40) + 4d0*coupl(&
                      nGC_36)*coupl(nGC_65)**2d0 + 4d0*coupl(nGC_36)*coupl(    &
                      nGC_69)**2d0 + 4d0*coupl(nGC_36)*coupl(nGC_81)**2d0 - 4d0&
                      *coupl(nGC_41)*coupl(nGC_65)**2d0 - 4d0*coupl(nGC_41)*   &
                      coupl(nGC_69)**2d0 - 4d0*coupl(nGC_41)*coupl(nGC_81)**2d0&
                      )/(96d0*pi**2d0)
    coupl(nGC_3291) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_54) + 4d0*&
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_58) - 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_62) - 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_74) + 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_78) + 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_86) - 6d0*coupl(nGC_1066)*coupl( &
                      nGC_20)*coupl(nGC_364) + coupl(nGC_1070)**2d0*coupl(     &
                      nGC_22) + coupl(nGC_20)*coupl(nGC_266)*coupl(nGC_37) +   &
                      coupl(nGC_22)**3d0 - 4d0*coupl(nGC_23)*coupl(nGC_65)*    &
                      coupl(nGC_66) - 4d0*coupl(nGC_23)*coupl(nGC_69)*coupl(   &
                      nGC_70) - 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_82   &
                      ) - 6d0*coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_560) - 6d0*&
                      coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_560))/(96d0*pi**2d0)
    coupl(nGC_3470) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_2398)**2d0 + &
                      39d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 3d0* &
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_2398)*sq2**2d0 + 30d0*   &
                      cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_3471) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 9d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_2394) - 3d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_2400) - 50d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_5990) = coupl(nGC_24)*dZWMinus/2d0 + coupl(nGC_3490)
    coupl(nGC_5494) = coupl(nGC_3524) + coupl(nGC_39)*dZZ/2d0 + coupl(nGC_39)* &
                      dZtL
    coupl(nGC_5495) = coupl(nGC_35)*dZZ/2d0 + coupl(nGC_35)*dZtR + coupl(      &
                      nGC_3523)
    coupl(nGC_5250) = coupl(nGC_3566) + coupl(nGC_5249)
    coupl(nGC_5251) = coupl(nGC_3567) + coupl(nGC_75)*dZH/2d0
    coupl(nGC_5252) = coupl(nGC_3568) + coupl(nGC_5248)
    coupl(nGC_5848) = coupl(nGC_25)*dZWMinus/2d0 + coupl(nGC_3481)
    coupl(nGC_5192) = coupl(nGC_3571) + coupl(nGC_5188)
    coupl(nGC_5190) = coupl(nGC_3569) + coupl(nGC_5189)
    coupl(nGC_5198) = 2d0*coupl(nGC_18)*dZWMinus + coupl(nGC_3482)
    coupl(nGC_5149) = coupl(nGC_28)*dZA/2d0 + coupl(nGC_28)*dZWMinus/2d0 +     &
                      coupl(nGC_3500) + coupl(nGC_9)*dZZA/2d0
    coupl(nGC_3239) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_10560) = -coupl(nGC_3436)
    coupl(nGC_3227) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_34) - 2d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_38) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_35  &
                      ) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_39) - coupl(nGC_25)*   &
                      coupl(nGC_3) - coupl(nGC_274)*coupl(nGC_364) - 2d0*coupl(&
                      nGC_36)*coupl(nGC_4) - 2d0*coupl(nGC_4)*coupl(nGC_40))/( &
                      32d0*pi**2d0)
    coupl(nGC_4950) = coupl(nGC_41)*dZZA/2d0
    coupl(nGC_10206) = -coupl(nGC_3290)
    coupl(nGC_4956) = coupl(nGC_3528) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZeMinusR
    coupl(nGC_4957) = coupl(nGC_3511) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZeMinusL
    coupl(nGC_3230) = cima*(-2d0*Nc*coupl(nGC_34)**2d0 - 2d0*Nc*coupl(nGC_35)**&
                      2d0 - 2d0*Nc*coupl(nGC_38)**2d0 - 2d0*Nc*coupl(nGC_39)** &
                      2d0 - coupl(nGC_25)**2d0 - 2d0*coupl(nGC_36)**2d0 - coupl&
                      (nGC_364)**2d0 - 2d0*coupl(nGC_40)**2d0 - 2d0*coupl(     &
                      nGC_41)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3547) = coupl(nGC_3193)*dydo_QED3
    coupl(nGC_3399) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_81)**2d0  &
                       + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3398) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_65)**2d0  &
                       + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3393) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4  &
                      )**2d0 + coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_68) +     &
                      coupl(nGC_40)*coupl(nGC_67)**2d0 + coupl(nGC_41)*coupl(  &
                      nGC_65)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3392) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_64) +     &
                      coupl(nGC_38)*coupl(nGC_63)**2d0 + coupl(nGC_39)*coupl(  &
                      nGC_61)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3391) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_364) + 4d0*coupl(nGC_23)**2d0*coupl(    &
                      nGC_39) + coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_64) +    &
                      coupl(nGC_34)*coupl(nGC_63)**2d0 + coupl(nGC_35)*coupl(  &
                      nGC_85)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3390) = coupl(nGC_11)**2d0*coupl(nGC_35)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3397) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_69)**2d0  &
                       + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3396) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                      )**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_70)*coupl(&
                      nGC_72) + coupl(nGC_36)*coupl(nGC_71)**2d0 + 4d0*coupl(  &
                      nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_3395) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4  &
                      )**2d0 + coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_72) +     &
                      coupl(nGC_40)*coupl(nGC_71)**2d0 + coupl(nGC_41)*coupl(  &
                      nGC_69)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3394) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                      )**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_66)*coupl(&
                      nGC_68) + coupl(nGC_36)*coupl(nGC_67)**2d0 + 4d0*coupl(  &
                      nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_3366) = (coupl(nGC_1066)*coupl(nGC_36)*coupl(nGC_72) + coupl(    &
                      nGC_21)*coupl(nGC_23)*coupl(nGC_69) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_71) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_71) -  &
                      coupl(nGC_71)**3d0 - coupl(nGC_71)*coupl(nGC_72)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3367) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_1066)*  &
                      coupl(nGC_38)*coupl(nGC_76) - coupl(nGC_23)*coupl(nGC_610&
                      )*coupl(nGC_73) - coupl(nGC_34)*coupl(nGC_37)*coupl(     &
                      nGC_76) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75   &
                      ) - coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) - coupl(   &
                      nGC_75)**3d0 - coupl(nGC_75)*coupl(nGC_76)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3364) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_55) + cMC*    &
                      coupl(nGC_59) + cMD*coupl(nGC_63) + cMS*coupl(nGC_75) +  &
                      cMU*coupl(nGC_87))/(16d0*pi**2d0*Nc)
    coupl(nGC_3365) = (coupl(nGC_1066)*coupl(nGC_40)*coupl(nGC_70) + coupl(    &
                      nGC_1070)*coupl(nGC_23)*coupl(nGC_69) + coupl(nGC_36)*   &
                      coupl(nGC_37)*coupl(nGC_70) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_71) - coupl(nGC_70)**2d0*coupl(nGC_71) - coupl(nGC_71&
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_3362) = (coupl(nGC_1066)*coupl(nGC_36)*coupl(nGC_68) + coupl(    &
                      nGC_21)*coupl(nGC_23)*coupl(nGC_65) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_67) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_67) -  &
                      coupl(nGC_67)**3d0 - coupl(nGC_67)*coupl(nGC_68)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3363) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_55) - cMC*   &
                      coupl(nGC_59) - cMD*coupl(nGC_63) - cMS*coupl(nGC_75) -  &
                      cMU*coupl(nGC_87))/(16d0*pi**2d0)
    coupl(nGC_3361) = (coupl(nGC_1066)*coupl(nGC_40)*coupl(nGC_66) + coupl(    &
                      nGC_1070)*coupl(nGC_23)*coupl(nGC_65) + coupl(nGC_36)*   &
                      coupl(nGC_37)*coupl(nGC_66) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_67) - coupl(nGC_66)**2d0*coupl(nGC_67) - coupl(nGC_67&
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_3244) = cME*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**  &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_3240) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3368) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_1066)*  &
                      coupl(nGC_34)*coupl(nGC_74) - coupl(nGC_20)*coupl(nGC_23 &
                      )*coupl(nGC_73) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_75) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_74) -    &
                      coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) - coupl(nGC_74 &
                      )**2d0*coupl(nGC_75) - coupl(nGC_75)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3369) = coupl(nGC_11)**2d0*coupl(nGC_75)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6533) = coupl(nGC_6531) + coupl(nGC_6532)
    coupl(nGC_3330) = coupl(nGC_11)**2d0*coupl(nGC_64)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3418) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_62)*   &
                      coupl(nGC_64) + coupl(nGC_63)**2d0 + coupl(nGC_85)**2d0  &
                      )/(64d0*pi**2d0*Nc)
    coupl(nGC_3419) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_34)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_62)*coupl( &
                      nGC_64) + coupl(nGC_63)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3414) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_58)*   &
                      coupl(nGC_60) + coupl(nGC_59)**2d0 + coupl(nGC_73)**2d0  &
                      )/(64d0*pi**2d0*Nc)
    coupl(nGC_3415) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(   &
                      nGC_35)**2d0 + coupl(nGC_57)**2d0 + coupl(nGC_58)*coupl( &
                      nGC_60) + coupl(nGC_59)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3416) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                      nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_58)*   &
                      coupl(nGC_60) - coupl(nGC_59)**2d0 - coupl(nGC_73)**2d0  &
                      )/(64d0*pi**2d0)
    coupl(nGC_3417) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                      nGC_35)**2d0 - coupl(nGC_57)**2d0 - coupl(nGC_58)*coupl( &
                      nGC_60) - coupl(nGC_59)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3410) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_34)**2d0 + coupl(nGC_54)*coupl(nGC_56) + coupl(nGC_55&
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3411) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_38)**2d0 - coupl(nGC_54)*coupl(nGC_56) - coupl(nGC_55&
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_3413) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_34)**2d0 - coupl(nGC_54)*coupl(nGC_56) - coupl(nGC_55&
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_6397) = coupl(nGC_3624) + coupl(nGC_MW_GF)*dZWMinus/2d0
    coupl(nGC_5606) = coupl(nGC_3480) + coupl(nGC_5)*dZA + coupl(nGC_5)*dZWMinus
    coupl(nGC_6094) = coupl(nGC_79)*(dZtL + dZtR)/2d0
    coupl(nGC_3345) = (-coupl(nGC_1066)*coupl(nGC_35)*coupl(nGC_87) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_86) - coupl(nGC_22)*coupl(nGC_23)*&
                      coupl(nGC_85) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(   &
                      nGC_86) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_87) -    &
                      coupl(nGC_61)*coupl(nGC_62)*coupl(nGC_85) - coupl(nGC_86 &
                      )**2d0*coupl(nGC_88) - coupl(nGC_87)**2d0*coupl(nGC_88   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_5608) = -coupl(nGC_5605)/2d0 + coupl(nGC_5606)
    coupl(nGC_3276) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4)**&
                      2d0 + coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_71)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_3278) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_65)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_5215) = coupl(nGC_3)*dZWMinus/2d0 + coupl(nGC_3479)
    coupl(nGC_5216) = -coupl(nGC_5215)
    coupl(nGC_3279) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_69)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3275) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) + coupl(  &
                      nGC_1)*coupl(nGC_63)**2d0 + coupl(nGC_2)*coupl(nGC_61)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_6454) = -coupl(nGC_6434)
    coupl(nGC_5351) = coupl(nGC_34)*dZZA/2d0
    coupl(nGC_6514) = coupl(nGC_3602) + coupl(nGC_59)*dZH/2d0
    coupl(nGC_5355) = coupl(nGC_1)*dZA/2d0 + coupl(nGC_3520)
    coupl(nGC_5354) = coupl(nGC_38)*dZZA/2d0
    coupl(nGC_5357) = coupl(nGC_5354) + coupl(nGC_5355)
    coupl(nGC_5356) = coupl(nGC_5351) + coupl(nGC_5355)
    coupl(nGC_3220) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_23)**2d0 - coupl(   &
                      nGC_38)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3300) = (-coupl(nGC_1)*coupl(nGC_192)*coupl(nGC_61) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_61) - coupl(nGC_2)*coupl(  &
                      nGC_4)*coupl(nGC_61) - coupl(nGC_20)*coupl(nGC_23)*coupl(&
                      nGC_63) - coupl(nGC_23)*coupl(nGC_560)*coupl(nGC_64) -   &
                      coupl(nGC_266)*coupl(nGC_34)*coupl(nGC_61) + 8d0*coupl(  &
                      nGC_34)*coupl(nGC_39)*coupl(nGC_61) - coupl(nGC_39)*coupl&
                      (nGC_40)*coupl(nGC_61) - coupl(nGC_63)*coupl(nGC_85)*    &
                      coupl(nGC_87) - coupl(nGC_64)*coupl(nGC_85)*coupl(nGC_86 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3301) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3302) = (-coupl(nGC_1)*coupl(nGC_192)*coupl(nGC_85) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_85) - coupl(nGC_1070)*coupl&
                      (nGC_23)*coupl(nGC_87) - coupl(nGC_2)*coupl(nGC_4)*coupl(&
                      nGC_85) - coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_88) -    &
                      coupl(nGC_266)*coupl(nGC_38)*coupl(nGC_85) + 8d0*coupl(  &
                      nGC_35)*coupl(nGC_38)*coupl(nGC_85) - coupl(nGC_35)*coupl&
                      (nGC_40)*coupl(nGC_85) - coupl(nGC_61)*coupl(nGC_62)*    &
                      coupl(nGC_88) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_87 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_7125) = coupl(nGC_3626) + coupl(nGC_MZ_GF)*dZZ/2d0
    coupl(nGC_3303) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7120) = coupl(nGC_3608) + coupl(nGC_7118)
    coupl(nGC_3304) = (-coupl(nGC_192)*coupl(nGC_4)*coupl(nGC_65) - coupl(     &
                      nGC_20)*coupl(nGC_23)*coupl(nGC_67) - coupl(nGC_23)*coupl&
                      (nGC_560)*coupl(nGC_68) - coupl(nGC_266)*coupl(nGC_36)*  &
                      coupl(nGC_65) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(   &
                      nGC_65) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_65))/(   &
                      32d0*pi**2d0)
    coupl(nGC_3305) = (-coupl(nGC_192)*coupl(nGC_4)*coupl(nGC_69) - coupl(     &
                      nGC_20)*coupl(nGC_23)*coupl(nGC_71) - coupl(nGC_23)*coupl&
                      (nGC_560)*coupl(nGC_72) - coupl(nGC_266)*coupl(nGC_36)*  &
                      coupl(nGC_69) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(   &
                      nGC_69) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_69))/(   &
                      32d0*pi**2d0)
    coupl(nGC_3359) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_63) - coupl(nGC_1066)*  &
                      coupl(nGC_34)*coupl(nGC_62) - coupl(nGC_20)*coupl(nGC_23 &
                      )*coupl(nGC_61) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_63) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_62) -    &
                      coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_62 &
                      )**2d0*coupl(nGC_63) - coupl(nGC_63)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3358) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_63) - coupl(nGC_1066)*  &
                      coupl(nGC_38)*coupl(nGC_64) - coupl(nGC_23)*coupl(nGC_61 &
                      )*coupl(nGC_610) - coupl(nGC_34)*coupl(nGC_37)*coupl(    &
                      nGC_64) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_63   &
                      ) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) - coupl(   &
                      nGC_63)**3d0 - coupl(nGC_63)*coupl(nGC_64)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3604) = coupl(nGC_3206)*dyt_QED1
    coupl(nGC_3355) = (-coupl(nGC_1066)*coupl(nGC_39)*coupl(nGC_58) - coupl(   &
                      nGC_1070)*coupl(nGC_23)*coupl(nGC_57) + 8d0*coupl(nGC_2  &
                      )**2d0*coupl(nGC_59) - coupl(nGC_35)*coupl(nGC_37)*coupl(&
                      nGC_58) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_59   &
                      ) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75) - coupl(   &
                      nGC_58)**2d0*coupl(nGC_59) - coupl(nGC_59)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3601) = coupl(nGC_3186)*dyc_QED1_QCD2
    coupl(nGC_3600) = coupl(nGC_3210)*dyup_QED3
    coupl(nGC_3603) = coupl(nGC_3186)*dyc_QED3
    coupl(nGC_3350) = (-4d0*Nc*cMB*coupl(nGC_23)**2d0*coupl(nGC_55) - 4d0*Nc*  &
                      cMC*coupl(nGC_23)**2d0*coupl(nGC_59) - 4d0*Nc*cMD*coupl( &
                      nGC_23)**2d0*coupl(nGC_63) - 4d0*Nc*cMS*coupl(nGC_23)**  &
                      2d0*coupl(nGC_75) - 4d0*Nc*cMT*coupl(nGC_23)**2d0*coupl( &
                      nGC_79) - 4d0*Nc*cMU*coupl(nGC_23)**2d0*coupl(nGC_87) -  &
                      4d0*cME*coupl(nGC_23)**2d0*coupl(nGC_67) - 4d0*cMM*coupl(&
                      nGC_23)**2d0*coupl(nGC_71) - 4d0*cMTA*coupl(nGC_23)**2d0*&
                      coupl(nGC_83) + 4d0*cima*coupl(nGC_18)*coupl(nGC_50) +   &
                      2d0*cima*coupl(nGC_310)*coupl(nGC_52) - coupl(nGC_1070)* &
                      coupl(nGC_274)*coupl(nGC_51) - coupl(nGC_1070)*coupl(    &
                      nGC_364)*coupl(nGC_47) - coupl(nGC_21)*coupl(nGC_274)*   &
                      coupl(nGC_51) - coupl(nGC_21)*coupl(nGC_364)*coupl(nGC_47&
                      ) + 6d0*coupl(nGC_25)**2d0*coupl(nGC_52) + 6d0*coupl(    &
                      nGC_274)**2d0*coupl(nGC_50) + 6d0*coupl(nGC_364)**2d0*   &
                      coupl(nGC_50))/(32d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
