!******************************************************************************!
!                                                                              !
!    ctparameter18.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter18.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-02 00:09             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter18
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter18()
  if (dZbR_QED2_scheme .eq. 0) then
    dZbR_QED2 = (2d0*Ten126*coupl(nGC_1)**2d0 + Ten127*(2d0*coupl(nGC_34)**2d0 &
                 + coupl(nGC_54)*coupl(nGC_56)) + Ten128*coupl(nGC_53)**2d0 -  &
                Ten129*coupl(nGC_55)**2d0 + 2d0*Ten130*coupl(nGC_1)**2d0 +     &
                Ten131*(2d0*coupl(nGC_34)**2d0 + coupl(nGC_54)*coupl(nGC_56    &
                )) + Ten132*coupl(nGC_53)**2d0 + 2d0*Ten134*cMB*coupl(nGC_55)**&
                2d0*rMB + 4d0*Ten135*coupl(nGC_1)**2d0*rMB*(-2d0*cMB + rMB) +  &
                Ten136*rMB*(-8d0*cMB*coupl(nGC_34)*coupl(nGC_38) + cMB*coupl(  &
                nGC_54)**2d0 + cMB*coupl(nGC_56)**2d0 + 2d0*coupl(nGC_34)**2d0*&
                rMB + 2d0*coupl(nGC_38)**2d0*rMB + 2d0*coupl(nGC_54)*coupl(    &
                nGC_56)*rMB) + Ten137*rMB*(2d0*cMT*coupl(nGC_53)*coupl(nGC_77  &
                ) + 2d0*coupl(nGC_23)**2d0*rMB + coupl(nGC_53)**2d0*rMB + coupl&
                (nGC_77)**2d0*rMB) - 2d0*Ten138*coupl(nGC_55)**2d0*rMB**2d0 +  &
                4d0*Ten139*coupl(nGC_1)**2d0*rMB**2d0 + 2d0*Ten140*rMB**2d0*(  &
                coupl(nGC_34)**2d0 + coupl(nGC_38)**2d0 + coupl(nGC_54)*coupl( &
                nGC_56)) + Ten141*rMB**2d0*(2d0*coupl(nGC_23)**2d0 + coupl(    &
                nGC_53)**2d0 + coupl(nGC_77)**2d0) + pi**2d0*(-coupl(nGC_1)**  &
                2d0/pi**2d0 - coupl(nGC_34)**2d0/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZbR_QED2 = cone*real(dZbR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter18
end module ctparameter18
