!******************************************************************************!
!                                                                              !
!    ctparameter3.f90                                                          !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter3.f90                               |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-02 00:09             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter3
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter3()
  if (dMC_QED2_scheme .eq. 0) then
    dMC_QED2 = (2d0*Ten74*cMC*coupl(nGC_2)**2d0 + Ten75*cMC*(-2d0*coupl(nGC_35 &
               )**2d0 + 8d0*coupl(nGC_35)*coupl(nGC_39) - 2d0*coupl(nGC_39)**  &
               2d0 - coupl(nGC_58)**2d0 - 2d0*coupl(nGC_58)*coupl(nGC_60) -    &
               coupl(nGC_60)**2d0)/2d0 + Ten76*(-cMC*coupl(nGC_23)**2d0 - cMC* &
               coupl(nGC_57)**2d0/2d0 - cMC*coupl(nGC_73)**2d0/2d0 - cMS*coupl(&
               nGC_57)*coupl(nGC_73)) + Ten77*cMC*coupl(nGC_59)**2d0 - 2d0*    &
               Ten78*cMC*coupl(nGC_2)**2d0 + Ten79*cMC*(-coupl(nGC_35)**2d0 -  &
               coupl(nGC_39)**2d0 - coupl(nGC_58)*coupl(nGC_60)) + Ten80*cMC*(-&
               2d0*coupl(nGC_23)**2d0 - coupl(nGC_57)**2d0 - coupl(nGC_73)**2d0&
               )/2d0 - Ten81*cMC*coupl(nGC_59)**2d0 + 2d0*Ten82*cMC*coupl(     &
               nGC_59)**2d0*rMC*(-cMC + rMC) + 4d0*Ten83*coupl(nGC_2)**2d0*rMC &
               *(2d0*cMC**2d0 - 3d0*cMC*rMC + rMC**2d0) + Ten84*rMC*(8d0*cMC** &
               2d0*coupl(nGC_35)*coupl(nGC_39) - cMC**2d0*coupl(nGC_58)**2d0 - &
               cMC**2d0*coupl(nGC_60)**2d0 - 2d0*cMC*coupl(nGC_35)**2d0*rMC -  &
               8d0*cMC*coupl(nGC_35)*coupl(nGC_39)*rMC - 2d0*cMC*coupl(nGC_39  &
               )**2d0*rMC + cMC*coupl(nGC_58)**2d0*rMC - 2d0*cMC*coupl(nGC_58)*&
               coupl(nGC_60)*rMC + cMC*coupl(nGC_60)**2d0*rMC + 2d0*coupl(     &
               nGC_35)**2d0*rMC**2d0 + 2d0*coupl(nGC_39)**2d0*rMC**2d0 + 2d0*  &
               coupl(nGC_58)*coupl(nGC_60)*rMC**2d0) + Ten85*rMC*(-2d0*cMC*cMS*&
               coupl(nGC_57)*coupl(nGC_73) - 2d0*cMC*coupl(nGC_23)**2d0*rMC -  &
               cMC*coupl(nGC_57)**2d0*rMC - cMC*coupl(nGC_73)**2d0*rMC + 2d0*  &
               cMS*coupl(nGC_57)*coupl(nGC_73)*rMC + 2d0*coupl(nGC_23)**2d0*rMC&
               **2d0 + coupl(nGC_57)**2d0*rMC**2d0 + coupl(nGC_73)**2d0*rMC**  &
               2d0) + 2d0*Ten86*coupl(nGC_59)**2d0*rMC**2d0*(cMC - rMC) + 4d0* &
               Ten87*coupl(nGC_2)**2d0*rMC**2d0*(-cMC + rMC) + 2d0*Ten88*rMC** &
               2d0*(-cMC*coupl(nGC_35)**2d0 - cMC*coupl(nGC_39)**2d0 - cMC*    &
               coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_35)**2d0*rMC + coupl(   &
               nGC_39)**2d0*rMC + coupl(nGC_58)*coupl(nGC_60)*rMC) + Ten89*rMC &
               **2d0*(-2d0*cMC*coupl(nGC_23)**2d0 - cMC*coupl(nGC_57)**2d0 -   &
               cMC*coupl(nGC_73)**2d0 + 2d0*coupl(nGC_23)**2d0*rMC + coupl(    &
               nGC_57)**2d0*rMC + coupl(nGC_73)**2d0*rMC) + pi**2d0*(-32d0*aEW*&
               cMC**2d0/(9d0*pi*rMC) + 32d0*aEW*rMC/(9d0*pi) - cMC*coupl(nGC_2 &
               )**2d0/pi**2d0 + cMC*coupl(nGC_23)**2d0/(2d0*pi**2d0) + cMC*    &
               coupl(nGC_35)**2d0/(2d0*pi**2d0) - 2d0*cMC*coupl(nGC_35)*coupl( &
               nGC_39)/pi**2d0 + cMC*coupl(nGC_39)**2d0/(2d0*pi**2d0)))/(16d0* &
               pi**2d0)
    if (.not. complex_mass_scheme) then
      dMC_QED2 = cone*real(dMC_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter3
end module ctparameter3
