!******************************************************************************!
!                                                                              !
!    ctparameter55.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter55.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-02 00:09             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter55
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter55()
  if (dZuL_QED2_scheme .eq. 0) then
    dZuL_QED2 = (2d0*Ten36*coupl(nGC_2)**2d0 + Ten37*(2d0*coupl(nGC_39)**2d0 + &
                coupl(nGC_86)*coupl(nGC_88)) + Ten38*(2d0*coupl(nGC_23)**2d0 + &
                coupl(nGC_61)**2d0) - Ten39*coupl(nGC_87)**2d0 + 2d0*Ten40*    &
                coupl(nGC_2)**2d0 + Ten41*(2d0*coupl(nGC_39)**2d0 + coupl(     &
                nGC_86)*coupl(nGC_88)) + Ten42*(2d0*coupl(nGC_23)**2d0 + coupl(&
                nGC_61)**2d0) + 2d0*Ten44*cMU**2d0*coupl(nGC_87)**2d0 - 4d0*   &
                Ten45*cMU**2d0*coupl(nGC_2)**2d0 + Ten46*cMU**2d0*(2d0*coupl(  &
                nGC_35)**2d0 - 8d0*coupl(nGC_35)*coupl(nGC_39) + 2d0*coupl(    &
                nGC_39)**2d0 + coupl(nGC_86)**2d0 + 2d0*coupl(nGC_86)*coupl(   &
                nGC_88) + coupl(nGC_88)**2d0) + Ten47*cMU*(2d0*cMD*coupl(nGC_61&
                )*coupl(nGC_85) + 2d0*cMU*coupl(nGC_23)**2d0 + cMU*coupl(nGC_61&
                )**2d0 + cMU*coupl(nGC_85)**2d0) - 2d0*Ten48*cMU**2d0*coupl(   &
                nGC_87)**2d0 + 4d0*Ten49*cMU**2d0*coupl(nGC_2)**2d0 + 2d0*Ten50&
                *cMU**2d0*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0 + coupl(    &
                nGC_86)*coupl(nGC_88)) + Ten51*cMU**2d0*(2d0*coupl(nGC_23)**2d0&
                 + coupl(nGC_61)**2d0 + coupl(nGC_85)**2d0) + pi**2d0*(-coupl( &
                nGC_2)**2d0/pi**2d0 - coupl(nGC_23)**2d0/pi**2d0 - coupl(nGC_39&
                )**2d0/pi**2d0))/(16d0*pi**2d0)
    dZuL_QED2 = cone*real(dZuL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter55
end module ctparameter55
